/* Time-stamp: <2010-01-23 04:02:03 cyamauch> */

#ifndef IDL_COLORS1_H
#define IDL_COLORS1_H

#include "define_colors.h"

static struct idl_color Idl_cl1[] = {
  /* b_w_linear */
  { 0,
    { {0x00,0x00,0x00},{0x01,0x01,0x01},{0x02,0x02,0x02},{0x03,0x03,0x03},
      {0x04,0x04,0x04},{0x05,0x05,0x05},{0x06,0x06,0x06},{0x07,0x07,0x07},
      {0x08,0x08,0x08},{0x09,0x09,0x09},{0x0a,0x0a,0x0a},{0x0b,0x0b,0x0b},
      {0x0c,0x0c,0x0c},{0x0d,0x0d,0x0d},{0x0e,0x0e,0x0e},{0x0f,0x0f,0x0f},
      {0x10,0x10,0x10},{0x11,0x11,0x11},{0x12,0x12,0x12},{0x13,0x13,0x13},
      {0x14,0x14,0x14},{0x15,0x15,0x15},{0x16,0x16,0x16},{0x17,0x17,0x17},
      {0x18,0x18,0x18},{0x19,0x19,0x19},{0x1a,0x1a,0x1a},{0x1b,0x1b,0x1b},
      {0x1c,0x1c,0x1c},{0x1d,0x1d,0x1d},{0x1e,0x1e,0x1e},{0x1f,0x1f,0x1f},
      {0x20,0x20,0x20},{0x21,0x21,0x21},{0x22,0x22,0x22},{0x23,0x23,0x23},
      {0x24,0x24,0x24},{0x25,0x25,0x25},{0x26,0x26,0x26},{0x27,0x27,0x27},
      {0x28,0x28,0x28},{0x29,0x29,0x29},{0x2a,0x2a,0x2a},{0x2b,0x2b,0x2b},
      {0x2c,0x2c,0x2c},{0x2d,0x2d,0x2d},{0x2e,0x2e,0x2e},{0x2f,0x2f,0x2f},
      {0x30,0x30,0x30},{0x31,0x31,0x31},{0x32,0x32,0x32},{0x33,0x33,0x33},
      {0x34,0x34,0x34},{0x35,0x35,0x35},{0x36,0x36,0x36},{0x37,0x37,0x37},
      {0x38,0x38,0x38},{0x39,0x39,0x39},{0x3a,0x3a,0x3a},{0x3b,0x3b,0x3b},
      {0x3c,0x3c,0x3c},{0x3d,0x3d,0x3d},{0x3e,0x3e,0x3e},{0x3f,0x3f,0x3f},
      {0x40,0x40,0x40},{0x41,0x41,0x41},{0x42,0x42,0x42},{0x43,0x43,0x43},
      {0x44,0x44,0x44},{0x45,0x45,0x45},{0x46,0x46,0x46},{0x47,0x47,0x47},
      {0x48,0x48,0x48},{0x49,0x49,0x49},{0x4a,0x4a,0x4a},{0x4b,0x4b,0x4b},
      {0x4c,0x4c,0x4c},{0x4d,0x4d,0x4d},{0x4e,0x4e,0x4e},{0x4f,0x4f,0x4f},
      {0x50,0x50,0x50},{0x51,0x51,0x51},{0x52,0x52,0x52},{0x53,0x53,0x53},
      {0x54,0x54,0x54},{0x55,0x55,0x55},{0x56,0x56,0x56},{0x57,0x57,0x57},
      {0x58,0x58,0x58},{0x59,0x59,0x59},{0x5a,0x5a,0x5a},{0x5b,0x5b,0x5b},
      {0x5c,0x5c,0x5c},{0x5d,0x5d,0x5d},{0x5e,0x5e,0x5e},{0x5f,0x5f,0x5f},
      {0x60,0x60,0x60},{0x61,0x61,0x61},{0x62,0x62,0x62},{0x63,0x63,0x63},
      {0x64,0x64,0x64},{0x65,0x65,0x65},{0x66,0x66,0x66},{0x67,0x67,0x67},
      {0x68,0x68,0x68},{0x69,0x69,0x69},{0x6a,0x6a,0x6a},{0x6b,0x6b,0x6b},
      {0x6c,0x6c,0x6c},{0x6d,0x6d,0x6d},{0x6e,0x6e,0x6e},{0x6f,0x6f,0x6f},
      {0x70,0x70,0x70},{0x71,0x71,0x71},{0x72,0x72,0x72},{0x73,0x73,0x73},
      {0x74,0x74,0x74},{0x75,0x75,0x75},{0x76,0x76,0x76},{0x77,0x77,0x77},
      {0x78,0x78,0x78},{0x79,0x79,0x79},{0x7a,0x7a,0x7a},{0x7b,0x7b,0x7b},
      {0x7c,0x7c,0x7c},{0x7d,0x7d,0x7d},{0x7e,0x7e,0x7e},{0x7f,0x7f,0x7f},
      {0x80,0x80,0x80},{0x81,0x81,0x81},{0x82,0x82,0x82},{0x83,0x83,0x83},
      {0x84,0x84,0x84},{0x85,0x85,0x85},{0x86,0x86,0x86},{0x87,0x87,0x87},
      {0x88,0x88,0x88},{0x89,0x89,0x89},{0x8a,0x8a,0x8a},{0x8b,0x8b,0x8b},
      {0x8c,0x8c,0x8c},{0x8d,0x8d,0x8d},{0x8e,0x8e,0x8e},{0x8f,0x8f,0x8f},
      {0x90,0x90,0x90},{0x91,0x91,0x91},{0x92,0x92,0x92},{0x93,0x93,0x93},
      {0x94,0x94,0x94},{0x95,0x95,0x95},{0x96,0x96,0x96},{0x97,0x97,0x97},
      {0x98,0x98,0x98},{0x99,0x99,0x99},{0x9a,0x9a,0x9a},{0x9b,0x9b,0x9b},
      {0x9c,0x9c,0x9c},{0x9d,0x9d,0x9d},{0x9e,0x9e,0x9e},{0x9f,0x9f,0x9f},
      {0xa0,0xa0,0xa0},{0xa1,0xa1,0xa1},{0xa2,0xa2,0xa2},{0xa3,0xa3,0xa3},
      {0xa4,0xa4,0xa4},{0xa5,0xa5,0xa5},{0xa6,0xa6,0xa6},{0xa7,0xa7,0xa7},
      {0xa8,0xa8,0xa8},{0xa9,0xa9,0xa9},{0xaa,0xaa,0xaa},{0xab,0xab,0xab},
      {0xac,0xac,0xac},{0xad,0xad,0xad},{0xae,0xae,0xae},{0xaf,0xaf,0xaf},
      {0xb0,0xb0,0xb0},{0xb1,0xb1,0xb1},{0xb2,0xb2,0xb2},{0xb3,0xb3,0xb3},
      {0xb4,0xb4,0xb4},{0xb5,0xb5,0xb5},{0xb6,0xb6,0xb6},{0xb7,0xb7,0xb7},
      {0xb8,0xb8,0xb8},{0xb9,0xb9,0xb9},{0xba,0xba,0xba},{0xbb,0xbb,0xbb},
      {0xbc,0xbc,0xbc},{0xbd,0xbd,0xbd},{0xbe,0xbe,0xbe},{0xbf,0xbf,0xbf},
      {0xc0,0xc0,0xc0},{0xc1,0xc1,0xc1},{0xc2,0xc2,0xc2},{0xc3,0xc3,0xc3},
      {0xc4,0xc4,0xc4},{0xc5,0xc5,0xc5},{0xc6,0xc6,0xc6},{0xc7,0xc7,0xc7},
      {0xc8,0xc8,0xc8},{0xc9,0xc9,0xc9},{0xca,0xca,0xca},{0xcb,0xcb,0xcb},
      {0xcc,0xcc,0xcc},{0xcd,0xcd,0xcd},{0xce,0xce,0xce},{0xcf,0xcf,0xcf},
      {0xd0,0xd0,0xd0},{0xd1,0xd1,0xd1},{0xd2,0xd2,0xd2},{0xd3,0xd3,0xd3},
      {0xd4,0xd4,0xd4},{0xd5,0xd5,0xd5},{0xd6,0xd6,0xd6},{0xd7,0xd7,0xd7},
      {0xd8,0xd8,0xd8},{0xd9,0xd9,0xd9},{0xda,0xda,0xda},{0xdb,0xdb,0xdb},
      {0xdc,0xdc,0xdc},{0xdd,0xdd,0xdd},{0xde,0xde,0xde},{0xdf,0xdf,0xdf},
      {0xe0,0xe0,0xe0},{0xe1,0xe1,0xe1},{0xe2,0xe2,0xe2},{0xe3,0xe3,0xe3},
      {0xe4,0xe4,0xe4},{0xe5,0xe5,0xe5},{0xe6,0xe6,0xe6},{0xe7,0xe7,0xe7},
      {0xe8,0xe8,0xe8},{0xe9,0xe9,0xe9},{0xea,0xea,0xea},{0xeb,0xeb,0xeb},
      {0xec,0xec,0xec},{0xed,0xed,0xed},{0xee,0xee,0xee},{0xef,0xef,0xef},
      {0xf0,0xf0,0xf0},{0xf1,0xf1,0xf1},{0xf2,0xf2,0xf2},{0xf3,0xf3,0xf3},
      {0xf4,0xf4,0xf4},{0xf5,0xf5,0xf5},{0xf6,0xf6,0xf6},{0xf7,0xf7,0xf7},
      {0xf8,0xf8,0xf8},{0xf9,0xf9,0xf9},{0xfa,0xfa,0xfa},{0xfb,0xfb,0xfb},
      {0xfc,0xfc,0xfc},{0xfd,0xfd,0xfd},{0xfe,0xfe,0xfe},{0x00,0x00,0x00}
    }
  },
  /* blue_white */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x01},{0x00,0x00,0x02},{0x00,0x00,0x04},
      {0x00,0x00,0x05},{0x00,0x00,0x06},{0x00,0x00,0x08},{0x00,0x00,0x09},
      {0x00,0x00,0x0a},{0x00,0x00,0x0c},{0x00,0x00,0x0d},{0x00,0x00,0x0e},
      {0x00,0x00,0x10},{0x00,0x00,0x11},{0x00,0x00,0x12},{0x00,0x00,0x14},
      {0x00,0x00,0x15},{0x00,0x00,0x17},{0x00,0x00,0x18},{0x00,0x00,0x19},
      {0x00,0x00,0x1b},{0x00,0x00,0x1c},{0x00,0x00,0x1d},{0x00,0x00,0x1f},
      {0x00,0x00,0x20},{0x00,0x00,0x21},{0x00,0x00,0x23},{0x00,0x00,0x24},
      {0x00,0x00,0x25},{0x00,0x00,0x27},{0x00,0x00,0x28},{0x00,0x00,0x2a},
      {0x00,0x00,0x2b},{0x00,0x00,0x2c},{0x00,0x00,0x2e},{0x00,0x00,0x2f},
      {0x00,0x00,0x30},{0x00,0x00,0x32},{0x00,0x00,0x33},{0x00,0x00,0x34},
      {0x00,0x00,0x36},{0x00,0x00,0x37},{0x00,0x00,0x38},{0x00,0x00,0x3a},
      {0x00,0x00,0x3b},{0x00,0x00,0x3d},{0x00,0x00,0x3e},{0x00,0x00,0x3f},
      {0x00,0x00,0x41},{0x00,0x00,0x42},{0x00,0x00,0x43},{0x00,0x00,0x45},
      {0x00,0x00,0x46},{0x00,0x00,0x47},{0x00,0x00,0x49},{0x00,0x00,0x4a},
      {0x00,0x00,0x4b},{0x00,0x00,0x4d},{0x00,0x00,0x4e},{0x00,0x00,0x50},
      {0x00,0x00,0x51},{0x00,0x00,0x52},{0x00,0x00,0x54},{0x00,0x00,0x55},
      {0x00,0x00,0x56},{0x00,0x00,0x58},{0x00,0x00,0x59},{0x00,0x00,0x5a},
      {0x00,0x00,0x5c},{0x00,0x00,0x5d},{0x00,0x00,0x5e},{0x00,0x00,0x60},
      {0x00,0x00,0x61},{0x00,0x00,0x63},{0x00,0x00,0x64},{0x00,0x00,0x65},
      {0x00,0x00,0x67},{0x00,0x00,0x68},{0x00,0x00,0x69},{0x00,0x00,0x6b},
      {0x00,0x00,0x6c},{0x00,0x00,0x6d},{0x00,0x00,0x6f},{0x00,0x00,0x70},
      {0x00,0x00,0x71},{0x00,0x00,0x73},{0x00,0x00,0x74},{0x00,0x00,0x76},
      {0x00,0x00,0x77},{0x00,0x00,0x78},{0x00,0x00,0x7a},{0x00,0x00,0x7b},
      {0x00,0x00,0x7c},{0x00,0x00,0x7e},{0x00,0x00,0x7f},{0x00,0x00,0x80},
      {0x00,0x00,0x82},{0x00,0x02,0x83},{0x00,0x04,0x84},{0x00,0x05,0x86},
      {0x00,0x07,0x87},{0x00,0x09,0x88},{0x00,0x0a,0x8a},{0x00,0x0c,0x8b},
      {0x00,0x0d,0x8d},{0x00,0x0f,0x8e},{0x00,0x11,0x8f},{0x00,0x12,0x91},
      {0x00,0x14,0x92},{0x00,0x15,0x93},{0x00,0x17,0x95},{0x00,0x19,0x96},
      {0x00,0x1a,0x97},{0x00,0x1c,0x99},{0x00,0x1d,0x9a},{0x00,0x1f,0x9b},
      {0x00,0x21,0x9d},{0x00,0x22,0x9e},{0x00,0x24,0xa0},{0x00,0x25,0xa1},
      {0x00,0x27,0xa2},{0x00,0x29,0xa4},{0x00,0x2a,0xa5},{0x00,0x2c,0xa6},
      {0x00,0x2d,0xa8},{0x00,0x2f,0xa9},{0x00,0x31,0xaa},{0x00,0x32,0xac},
      {0x00,0x34,0xad},{0x00,0x35,0xae},{0x00,0x37,0xb0},{0x00,0x39,0xb1},
      {0x00,0x3a,0xb3},{0x00,0x3c,0xb4},{0x00,0x3d,0xb5},{0x00,0x3f,0xb7},
      {0x00,0x41,0xb8},{0x00,0x42,0xb9},{0x00,0x44,0xbb},{0x00,0x45,0xbc},
      {0x00,0x47,0xbd},{0x00,0x49,0xbf},{0x00,0x4a,0xc0},{0x00,0x4c,0xc1},
      {0x00,0x4d,0xc3},{0x00,0x4f,0xc4},{0x00,0x51,0xc6},{0x00,0x52,0xc7},
      {0x00,0x54,0xc8},{0x00,0x55,0xca},{0x00,0x57,0xcb},{0x00,0x59,0xcc},
      {0x00,0x5a,0xce},{0x00,0x5c,0xcf},{0x00,0x5e,0xd0},{0x00,0x5f,0xd2},
      {0x00,0x61,0xd3},{0x00,0x62,0xd4},{0x00,0x64,0xd6},{0x00,0x66,0xd7},
      {0x00,0x67,0xd9},{0x00,0x69,0xda},{0x00,0x6a,0xdb},{0x00,0x6c,0xdd},
      {0x00,0x6e,0xde},{0x00,0x6f,0xdf},{0x00,0x71,0xe1},{0x00,0x72,0xe2},
      {0x00,0x74,0xe3},{0x00,0x76,0xe5},{0x00,0x77,0xe6},{0x00,0x79,0xe7},
      {0x00,0x7a,0xe9},{0x00,0x7c,0xea},{0x00,0x7e,0xec},{0x00,0x7f,0xed},
      {0x00,0x81,0xee},{0x00,0x82,0xf0},{0x00,0x84,0xf1},{0x00,0x86,0xf2},
      {0x00,0x87,0xf4},{0x00,0x89,0xf5},{0x00,0x8a,0xf6},{0x00,0x8c,0xf8},
      {0x00,0x8e,0xf9},{0x00,0x8f,0xfa},{0x00,0x91,0xfc},{0x00,0x92,0xfd},
      {0x00,0x94,0xff},{0x00,0x96,0xff},{0x00,0x97,0xff},{0x00,0x99,0xff},
      {0x00,0x9a,0xff},{0x05,0x9c,0xff},{0x09,0x9e,0xff},{0x0d,0x9f,0xff},
      {0x11,0xa1,0xff},{0x15,0xa2,0xff},{0x19,0xa4,0xff},{0x1d,0xa6,0xff},
      {0x21,0xa7,0xff},{0x25,0xa9,0xff},{0x29,0xaa,0xff},{0x2d,0xac,0xff},
      {0x31,0xae,0xff},{0x35,0xaf,0xff},{0x39,0xb1,0xff},{0x3d,0xb3,0xff},
      {0x41,0xb4,0xff},{0x45,0xb6,0xff},{0x49,0xb7,0xff},{0x4d,0xb9,0xff},
      {0x51,0xbb,0xff},{0x55,0xbc,0xff},{0x5a,0xbe,0xff},{0x5e,0xbf,0xff},
      {0x62,0xc1,0xff},{0x66,0xc3,0xff},{0x6a,0xc4,0xff},{0x6e,0xc6,0xff},
      {0x72,0xc7,0xff},{0x76,0xc9,0xff},{0x7a,0xcb,0xff},{0x7e,0xcc,0xff},
      {0x82,0xce,0xff},{0x86,0xcf,0xff},{0x8a,0xd1,0xff},{0x8e,0xd3,0xff},
      {0x92,0xd4,0xff},{0x96,0xd6,0xff},{0x9a,0xd7,0xff},{0x9e,0xd9,0xff},
      {0xa2,0xdb,0xff},{0xa6,0xdc,0xff},{0xaa,0xde,0xff},{0xaf,0xdf,0xff},
      {0xb3,0xe1,0xff},{0xb7,0xe3,0xff},{0xbb,0xe4,0xff},{0xbf,0xe6,0xff},
      {0xc3,0xe7,0xff},{0xc7,0xe9,0xff},{0xcb,0xeb,0xff},{0xcf,0xec,0xff},
      {0xd3,0xee,0xff},{0xd7,0xef,0xff},{0xdb,0xf1,0xff},{0xdf,0xf3,0xff},
      {0xe3,0xf4,0xff},{0xe7,0xf6,0xff},{0xeb,0xf7,0xff},{0xef,0xf9,0xff},
      {0xf3,0xfb,0xff},{0xf7,0xfc,0xff},{0xfb,0xfe,0xff},{0x00,0x00,0x00}
    }
  },
  /* grn_red_blu_wht */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x24,0x00},{0x00,0x48,0x00},{0x00,0x4b,0x00},
      {0x00,0x4f,0x00},{0x00,0x52,0x00},{0x00,0x56,0x00},{0x00,0x5a,0x00},
      {0x00,0x5d,0x00},{0x00,0x61,0x00},{0x00,0x64,0x00},{0x00,0x68,0x00},
      {0x00,0x6c,0x00},{0x00,0x75,0x00},{0x00,0x7e,0x00},{0x00,0x87,0x00},
      {0x00,0x90,0x00},{0x00,0x99,0x00},{0x00,0xa2,0x00},{0x00,0xab,0x00},
      {0x00,0xb4,0x00},{0x00,0xbd,0x00},{0x00,0xc6,0x00},{0x00,0xcf,0x00},
      {0x00,0xd8,0x00},{0x00,0xe1,0x00},{0x00,0xea,0x00},{0x00,0xf3,0x00},
      {0x00,0xfc,0x00},{0x06,0xf9,0x00},{0x0c,0xf6,0x00},{0x12,0xf3,0x00},
      {0x18,0xf0,0x00},{0x1e,0xea,0x00},{0x24,0xe4,0x00},{0x2a,0xde,0x00},
      {0x30,0xd8,0x00},{0x36,0xd2,0x00},{0x3c,0xcc,0x00},{0x42,0xc6,0x00},
      {0x48,0xc0,0x00},{0x4e,0xba,0x00},{0x54,0xb4,0x00},{0x5a,0xae,0x00},
      {0x60,0xa8,0x00},{0x66,0xa2,0x00},{0x6c,0x9c,0x00},{0x72,0x96,0x00},
      {0x78,0x90,0x00},{0x7e,0x8a,0x00},{0x84,0x84,0x00},{0x8a,0x7e,0x00},
      {0x90,0x78,0x00},{0x96,0x72,0x00},{0x9c,0x6c,0x00},{0xa2,0x66,0x00},
      {0xa8,0x60,0x00},{0xae,0x5a,0x00},{0xb4,0x54,0x00},{0xba,0x4e,0x00},
      {0xc0,0x48,0x00},{0xc6,0x42,0x00},{0xcc,0x3c,0x00},{0xd2,0x36,0x00},
      {0xd8,0x30,0x00},{0xde,0x2a,0x00},{0xe4,0x24,0x00},{0xea,0x1e,0x00},
      {0xf0,0x18,0x00},{0xf3,0x12,0x00},{0xf6,0x0c,0x00},{0xf9,0x06,0x00},
      {0xfc,0x00,0x00},{0xfc,0x00,0x00},{0xfc,0x00,0x00},{0xfc,0x00,0x00},
      {0xfc,0x00,0x01},{0xfb,0x00,0x03},{0xfa,0x00,0x05},{0xf9,0x00,0x07},
      {0xf8,0x00,0x09},{0xf8,0x00,0x0a},{0xf8,0x00,0x0c},{0xf8,0x00,0x0e},
      {0xf8,0x00,0x10},{0xf7,0x00,0x12},{0xf6,0x00,0x14},{0xf5,0x00,0x16},
      {0xf4,0x00,0x19},{0xf3,0x00,0x1b},{0xf2,0x00,0x1d},{0xf1,0x00,0x1f},
      {0xf0,0x00,0x22},{0xf0,0x00,0x23},{0xef,0x00,0x25},{0xee,0x00,0x27},
      {0xed,0x00,0x29},{0xec,0x00,0x2b},{0xec,0x00,0x2d},{0xec,0x00,0x2f},
      {0xec,0x00,0x32},{0xeb,0x00,0x34},{0xea,0x00,0x36},{0xe9,0x00,0x38},
      {0xe8,0x00,0x3b},{0xe7,0x00,0x3d},{0xe6,0x00,0x3f},{0xe5,0x00,0x41},
      {0xe4,0x00,0x43},{0xe4,0x00,0x44},{0xe4,0x00,0x46},{0xe4,0x00,0x48},
      {0xe4,0x00,0x4a},{0xe3,0x00,0x4c},{0xe2,0x00,0x4e},{0xe1,0x00,0x50},
      {0xe0,0x00,0x53},{0xdf,0x00,0x55},{0xde,0x00,0x57},{0xdd,0x00,0x59},
      {0xdc,0x01,0x5c},{0xdb,0x01,0x5e},{0xda,0x01,0x60},{0xd9,0x01,0x62},
      {0xd8,0x00,0x65},{0xd8,0x00,0x66},{0xd8,0x00,0x68},{0xd8,0x00,0x6a},
      {0xd8,0x00,0x6c},{0xd7,0x00,0x6e},{0xd6,0x00,0x70},{0xd5,0x00,0x72},
      {0xd4,0x00,0x74},{0xd3,0x00,0x76},{0xd2,0x00,0x78},{0xd1,0x00,0x7a},
      {0xd0,0x00,0x7d},{0xcf,0x00,0x7f},{0xce,0x00,0x81},{0xcd,0x00,0x83},
      {0xcc,0x00,0x86},{0xcc,0x00,0x87},{0xcc,0x00,0x89},{0xcc,0x00,0x8b},
      {0xcc,0x00,0x8d},{0xcb,0x00,0x8f},{0xca,0x00,0x91},{0xc9,0x00,0x93},
      {0xc8,0x00,0x96},{0xc7,0x00,0x98},{0xc6,0x00,0x9a},{0xc5,0x00,0x9c},
      {0xc4,0x00,0x9f},{0xc4,0x00,0xa0},{0xc4,0x00,0xa2},{0xc4,0x00,0xa3},
      {0xc4,0x00,0xa5},{0xc3,0x00,0xa7},{0xc2,0x00,0xa9},{0xc1,0x00,0xab},
      {0xc0,0x00,0xae},{0xbf,0x00,0xb0},{0xbe,0x00,0xb2},{0xbd,0x00,0xb4},
      {0xbc,0x00,0xb7},{0xbb,0x00,0xb9},{0xba,0x00,0xbb},{0xb9,0x00,0xbd},
      {0xb8,0x00,0xc0},{0xb8,0x00,0xc1},{0xb8,0x00,0xc3},{0xb8,0x00,0xc5},
      {0xb8,0x00,0xc7},{0xb7,0x00,0xc9},{0xb6,0x00,0xcb},{0xb5,0x00,0xcd},
      {0xb4,0x00,0xd0},{0xb3,0x00,0xd2},{0xb2,0x00,0xd4},{0xb1,0x00,0xd6},
      {0xb0,0x00,0xd8},{0xb0,0x00,0xd9},{0xb0,0x00,0xdb},{0xb0,0x00,0xdd},
      {0xb0,0x00,0xdf},{0xaf,0x00,0xe1},{0xae,0x00,0xe3},{0xad,0x00,0xe5},
      {0xac,0x00,0xe8},{0xab,0x00,0xea},{0xaa,0x00,0xec},{0xa9,0x00,0xee},
      {0xa8,0x00,0xf1},{0xa7,0x00,0xf3},{0xa6,0x00,0xf5},{0xa5,0x00,0xf7},
      {0xa4,0x00,0xfa},{0xa4,0x00,0xfb},{0xa4,0x00,0xfc},{0xa4,0x00,0xfd},
      {0xa4,0x00,0xff},{0xa3,0x00,0xff},{0xa2,0x00,0xff},{0xa1,0x00,0xff},
      {0xa0,0x00,0xff},{0x9f,0x00,0xff},{0x9e,0x00,0xff},{0x9d,0x00,0xff},
      {0x9c,0x00,0xff},{0x9b,0x00,0xff},{0x9a,0x00,0xff},{0x99,0x00,0xff},
      {0x98,0x00,0xff},{0x98,0x00,0xff},{0x98,0x00,0xff},{0x98,0x00,0xff},
      {0x98,0x00,0xff},{0x97,0x00,0xff},{0x96,0x00,0xff},{0x95,0x00,0xff},
      {0x94,0x00,0xff},{0x97,0x08,0xff},{0x9a,0x10,0xff},{0x9d,0x18,0xff},
      {0xa0,0x20,0xff},{0xa3,0x28,0xff},{0xa6,0x30,0xff},{0xa9,0x38,0xff},
      {0xac,0x40,0xff},{0xb0,0x48,0xff},{0xb4,0x50,0xff},{0xb8,0x58,0xff},
      {0xbc,0x60,0xff},{0xbf,0x68,0xff},{0xc2,0x70,0xff},{0xc5,0x78,0xff},
      {0xc8,0x80,0xff},{0xcb,0x87,0xff},{0xce,0x8e,0xff},{0xd1,0x95,0xff},
      {0xd4,0x9c,0xff},{0xd7,0xa4,0xff},{0xda,0xac,0xff},{0xdd,0xb4,0xff},
      {0xe0,0xbc,0xff},{0xe4,0xc4,0xff},{0xe8,0xcc,0xff},{0xec,0xd4,0xff},
      {0xf0,0xdc,0xff},{0xf3,0xe4,0xff},{0xf6,0xec,0xff},{0xf9,0xf4,0xff},
      {0xfc,0xfc,0xff},{0xfd,0xfd,0xff},{0xfe,0xfe,0xff},{0x00,0x00,0x00}
    }
  },
  /* red_temperature */
  { 0,
    { {0x00,0x00,0x00},{0x01,0x00,0x00},{0x02,0x00,0x00},{0x04,0x00,0x00},
      {0x05,0x00,0x00},{0x07,0x00,0x00},{0x08,0x00,0x00},{0x0a,0x00,0x00},
      {0x0b,0x00,0x00},{0x0d,0x00,0x00},{0x0e,0x00,0x00},{0x0f,0x00,0x00},
      {0x11,0x00,0x00},{0x12,0x00,0x00},{0x14,0x00,0x00},{0x15,0x00,0x00},
      {0x17,0x00,0x00},{0x18,0x00,0x00},{0x1a,0x00,0x00},{0x1b,0x00,0x00},
      {0x1c,0x00,0x00},{0x1e,0x00,0x00},{0x1f,0x00,0x00},{0x21,0x00,0x00},
      {0x22,0x00,0x00},{0x24,0x00,0x00},{0x25,0x00,0x00},{0x27,0x00,0x00},
      {0x28,0x00,0x00},{0x2a,0x00,0x00},{0x2b,0x00,0x00},{0x2c,0x00,0x00},
      {0x2e,0x00,0x00},{0x2f,0x00,0x00},{0x31,0x00,0x00},{0x32,0x00,0x00},
      {0x34,0x00,0x00},{0x35,0x00,0x00},{0x37,0x00,0x00},{0x38,0x00,0x00},
      {0x39,0x00,0x00},{0x3b,0x00,0x00},{0x3c,0x00,0x00},{0x3e,0x00,0x00},
      {0x3f,0x00,0x00},{0x41,0x00,0x00},{0x42,0x00,0x00},{0x44,0x00,0x00},
      {0x45,0x00,0x00},{0x46,0x00,0x00},{0x48,0x00,0x00},{0x49,0x00,0x00},
      {0x4b,0x00,0x00},{0x4c,0x00,0x00},{0x4e,0x00,0x00},{0x4f,0x00,0x00},
      {0x51,0x00,0x00},{0x52,0x00,0x00},{0x54,0x00,0x00},{0x55,0x00,0x00},
      {0x56,0x00,0x00},{0x58,0x00,0x00},{0x59,0x00,0x00},{0x5b,0x00,0x00},
      {0x5c,0x00,0x00},{0x5e,0x00,0x00},{0x5f,0x00,0x00},{0x61,0x00,0x00},
      {0x62,0x00,0x00},{0x63,0x00,0x00},{0x65,0x00,0x00},{0x66,0x00,0x00},
      {0x68,0x00,0x00},{0x69,0x00,0x00},{0x6b,0x00,0x00},{0x6c,0x00,0x00},
      {0x6e,0x00,0x00},{0x6f,0x00,0x00},{0x71,0x00,0x00},{0x72,0x00,0x00},
      {0x73,0x00,0x00},{0x75,0x00,0x00},{0x76,0x00,0x00},{0x78,0x00,0x00},
      {0x79,0x00,0x00},{0x7b,0x00,0x00},{0x7c,0x00,0x00},{0x7e,0x00,0x00},
      {0x7f,0x00,0x00},{0x80,0x00,0x00},{0x82,0x00,0x00},{0x83,0x00,0x00},
      {0x85,0x00,0x00},{0x86,0x00,0x00},{0x88,0x00,0x00},{0x89,0x00,0x00},
      {0x8b,0x00,0x00},{0x8c,0x00,0x00},{0x8d,0x00,0x00},{0x8f,0x00,0x00},
      {0x90,0x00,0x00},{0x92,0x00,0x00},{0x93,0x00,0x00},{0x95,0x00,0x00},
      {0x96,0x00,0x00},{0x98,0x00,0x00},{0x99,0x00,0x00},{0x9b,0x00,0x00},
      {0x9c,0x00,0x00},{0x9d,0x00,0x00},{0x9f,0x00,0x00},{0xa0,0x00,0x00},
      {0xa2,0x00,0x00},{0xa3,0x00,0x00},{0xa5,0x00,0x00},{0xa6,0x00,0x00},
      {0xa8,0x00,0x00},{0xa9,0x00,0x00},{0xaa,0x00,0x00},{0xac,0x00,0x00},
      {0xad,0x00,0x00},{0xaf,0x01,0x00},{0xb0,0x03,0x00},{0xb2,0x05,0x00},
      {0xb3,0x07,0x00},{0xb5,0x09,0x00},{0xb6,0x0b,0x00},{0xb8,0x0d,0x00},
      {0xb9,0x0f,0x00},{0xba,0x11,0x00},{0xbc,0x12,0x00},{0xbd,0x14,0x00},
      {0xbf,0x16,0x00},{0xc0,0x18,0x00},{0xc2,0x1a,0x00},{0xc3,0x1c,0x00},
      {0xc5,0x1e,0x00},{0xc6,0x20,0x00},{0xc7,0x22,0x00},{0xc9,0x23,0x00},
      {0xca,0x25,0x00},{0xcc,0x27,0x00},{0xcd,0x29,0x00},{0xcf,0x2b,0x00},
      {0xd0,0x2d,0x00},{0xd2,0x2f,0x00},{0xd3,0x31,0x00},{0xd4,0x33,0x00},
      {0xd6,0x34,0x00},{0xd7,0x36,0x00},{0xd9,0x38,0x00},{0xda,0x3a,0x00},
      {0xdc,0x3c,0x00},{0xdd,0x3e,0x00},{0xdf,0x40,0x00},{0xe0,0x42,0x00},
      {0xe2,0x44,0x00},{0xe3,0x45,0x00},{0xe4,0x47,0x00},{0xe6,0x49,0x00},
      {0xe7,0x4b,0x00},{0xe9,0x4d,0x00},{0xea,0x4f,0x00},{0xec,0x51,0x00},
      {0xed,0x53,0x00},{0xef,0x55,0x00},{0xf0,0x56,0x00},{0xf1,0x58,0x00},
      {0xf3,0x5a,0x00},{0xf4,0x5c,0x00},{0xf6,0x5e,0x00},{0xf7,0x60,0x00},
      {0xf9,0x62,0x00},{0xfa,0x64,0x00},{0xfc,0x66,0x00},{0xfd,0x67,0x00},
      {0xff,0x69,0x00},{0xff,0x6b,0x00},{0xff,0x6d,0x00},{0xff,0x6f,0x00},
      {0xff,0x71,0x00},{0xff,0x73,0x00},{0xff,0x75,0x00},{0xff,0x77,0x00},
      {0xff,0x78,0x00},{0xff,0x7a,0x00},{0xff,0x7c,0x00},{0xff,0x7e,0x00},
      {0xff,0x80,0x00},{0xff,0x82,0x00},{0xff,0x84,0x00},{0xff,0x86,0x03},
      {0xff,0x88,0x07},{0xff,0x89,0x0b},{0xff,0x8b,0x0f},{0xff,0x8d,0x13},
      {0xff,0x8f,0x17},{0xff,0x91,0x1b},{0xff,0x93,0x1f},{0xff,0x95,0x23},
      {0xff,0x97,0x27},{0xff,0x99,0x2b},{0xff,0x9a,0x2f},{0xff,0x9c,0x33},
      {0xff,0x9e,0x36},{0xff,0xa0,0x3a},{0xff,0xa2,0x3e},{0xff,0xa4,0x42},
      {0xff,0xa6,0x46},{0xff,0xa8,0x4a},{0xff,0xaa,0x4e},{0xff,0xab,0x52},
      {0xff,0xad,0x56},{0xff,0xaf,0x5a},{0xff,0xb1,0x5e},{0xff,0xb3,0x62},
      {0xff,0xb5,0x66},{0xff,0xb7,0x69},{0xff,0xb9,0x6d},{0xff,0xbb,0x71},
      {0xff,0xbc,0x75},{0xff,0xbe,0x79},{0xff,0xc0,0x7d},{0xff,0xc2,0x81},
      {0xff,0xc4,0x85},{0xff,0xc6,0x89},{0xff,0xc8,0x8d},{0xff,0xca,0x91},
      {0xff,0xcc,0x95},{0xff,0xcd,0x99},{0xff,0xcf,0x9c},{0xff,0xd1,0xa0},
      {0xff,0xd3,0xa4},{0xff,0xd5,0xa8},{0xff,0xd7,0xac},{0xff,0xd9,0xb0},
      {0xff,0xdb,0xb4},{0xff,0xdd,0xb8},{0xff,0xde,0xbc},{0xff,0xe0,0xc0},
      {0xff,0xe2,0xc4},{0xff,0xe4,0xc8},{0xff,0xe6,0xcc},{0xff,0xe8,0xcf},
      {0xff,0xea,0xd3},{0xff,0xec,0xd7},{0xff,0xee,0xdb},{0xff,0xef,0xdf},
      {0xff,0xf1,0xe3},{0xff,0xf3,0xe7},{0xff,0xf5,0xeb},{0xff,0xf7,0xef},
      {0xff,0xf9,0xf3},{0xff,0xfb,0xf7},{0xff,0xfd,0xfb},{0x00,0x00,0x00}
    }
  },
  /* blue_green_red_yellow */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x02},{0x00,0x00,0x04},{0x00,0x00,0x06},
      {0x00,0x00,0x08},{0x00,0x00,0x0a},{0x00,0x00,0x0c},{0x00,0x00,0x0e},
      {0x00,0x00,0x10},{0x00,0x00,0x12},{0x00,0x00,0x14},{0x00,0x00,0x16},
      {0x00,0x00,0x19},{0x00,0x00,0x1b},{0x00,0x00,0x1d},{0x00,0x00,0x1f},
      {0x00,0x00,0x21},{0x00,0x00,0x23},{0x00,0x00,0x25},{0x00,0x00,0x27},
      {0x00,0x00,0x29},{0x00,0x00,0x2b},{0x00,0x00,0x2d},{0x00,0x00,0x2f},
      {0x00,0x00,0x32},{0x00,0x00,0x34},{0x00,0x00,0x36},{0x00,0x00,0x38},
      {0x00,0x00,0x3a},{0x00,0x00,0x3c},{0x00,0x00,0x3e},{0x00,0x00,0x40},
      {0x00,0x00,0x42},{0x00,0x03,0x44},{0x00,0x06,0x46},{0x00,0x09,0x48},
      {0x00,0x0c,0x4b},{0x00,0x0f,0x4d},{0x00,0x12,0x4f},{0x00,0x15,0x51},
      {0x00,0x19,0x53},{0x00,0x1c,0x55},{0x00,0x1f,0x57},{0x00,0x22,0x59},
      {0x00,0x25,0x5b},{0x00,0x28,0x5d},{0x00,0x2b,0x5f},{0x00,0x2e,0x61},
      {0x00,0x32,0x64},{0x00,0x35,0x64},{0x00,0x38,0x64},{0x00,0x3b,0x64},
      {0x00,0x3e,0x64},{0x00,0x41,0x64},{0x00,0x44,0x64},{0x00,0x47,0x64},
      {0x00,0x4b,0x64},{0x00,0x4e,0x64},{0x00,0x51,0x64},{0x00,0x54,0x64},
      {0x00,0x57,0x64},{0x00,0x5a,0x64},{0x00,0x5d,0x64},{0x00,0x60,0x64},
      {0x00,0x64,0x64},{0x00,0x67,0x64},{0x00,0x6a,0x64},{0x00,0x6d,0x64},
      {0x00,0x70,0x64},{0x00,0x73,0x64},{0x00,0x76,0x64},{0x00,0x79,0x64},
      {0x00,0x7d,0x64},{0x00,0x80,0x64},{0x00,0x83,0x64},{0x00,0x86,0x64},
      {0x00,0x89,0x64},{0x00,0x8c,0x64},{0x00,0x8f,0x64},{0x00,0x92,0x64},
      {0x00,0x96,0x64},{0x00,0x96,0x60},{0x00,0x96,0x5d},{0x00,0x96,0x5a},
      {0x00,0x96,0x57},{0x00,0x96,0x54},{0x00,0x96,0x51},{0x00,0x96,0x4e},
      {0x00,0x96,0x4b},{0x00,0x96,0x47},{0x00,0x96,0x44},{0x00,0x96,0x41},
      {0x00,0x96,0x3e},{0x00,0x96,0x3b},{0x00,0x96,0x38},{0x00,0x96,0x35},
      {0x00,0x96,0x32},{0x00,0x95,0x2e},{0x00,0x94,0x2b},{0x00,0x94,0x28},
      {0x00,0x93,0x25},{0x00,0x92,0x22},{0x00,0x92,0x1f},{0x00,0x91,0x1c},
      {0x00,0x91,0x19},{0x00,0x90,0x15},{0x00,0x8f,0x12},{0x00,0x8f,0x0f},
      {0x00,0x8e,0x0c},{0x00,0x8d,0x09},{0x00,0x8d,0x06},{0x00,0x8c,0x03},
      {0x00,0x8c,0x00},{0x07,0x89,0x00},{0x0f,0x87,0x00},{0x16,0x84,0x00},
      {0x1e,0x82,0x00},{0x25,0x7f,0x00},{0x2d,0x7d,0x00},{0x34,0x7a,0x00},
      {0x3c,0x78,0x00},{0x43,0x75,0x00},{0x4b,0x73,0x00},{0x52,0x70,0x00},
      {0x5a,0x6e,0x00},{0x61,0x6b,0x00},{0x69,0x69,0x00},{0x70,0x66,0x00},
      {0x78,0x64,0x00},{0x7d,0x5d,0x00},{0x82,0x57,0x00},{0x87,0x51,0x00},
      {0x8c,0x4b,0x00},{0x91,0x44,0x00},{0x96,0x3e,0x00},{0x9b,0x38,0x00},
      {0xa0,0x32,0x00},{0xa5,0x2b,0x00},{0xaa,0x25,0x00},{0xaf,0x1f,0x00},
      {0xb4,0x19,0x00},{0xb9,0x12,0x00},{0xbe,0x0c,0x00},{0xc3,0x06,0x00},
      {0xc8,0x00,0x00},{0xc8,0x02,0x00},{0xc9,0x04,0x00},{0xc9,0x06,0x00},
      {0xca,0x09,0x00},{0xca,0x0b,0x00},{0xcb,0x0d,0x00},{0xcb,0x10,0x00},
      {0xcc,0x12,0x00},{0xcc,0x14,0x00},{0xcd,0x17,0x00},{0xcd,0x19,0x00},
      {0xce,0x1b,0x00},{0xce,0x1d,0x00},{0xcf,0x20,0x00},{0xcf,0x22,0x00},
      {0xd0,0x24,0x00},{0xd0,0x27,0x00},{0xd1,0x29,0x00},{0xd1,0x2b,0x00},
      {0xd2,0x2e,0x00},{0xd2,0x30,0x00},{0xd3,0x32,0x00},{0xd3,0x35,0x00},
      {0xd4,0x37,0x00},{0xd4,0x39,0x00},{0xd5,0x3b,0x00},{0xd5,0x3e,0x00},
      {0xd6,0x40,0x00},{0xd6,0x42,0x00},{0xd7,0x45,0x00},{0xd7,0x47,0x00},
      {0xd8,0x49,0x00},{0xd8,0x4c,0x00},{0xd9,0x4e,0x00},{0xd9,0x50,0x00},
      {0xda,0x53,0x00},{0xda,0x55,0x00},{0xdb,0x57,0x00},{0xdb,0x59,0x00},
      {0xdc,0x5c,0x00},{0xdc,0x5e,0x00},{0xdd,0x60,0x00},{0xdd,0x63,0x00},
      {0xde,0x65,0x00},{0xde,0x67,0x00},{0xdf,0x6a,0x00},{0xdf,0x6c,0x00},
      {0xe0,0x6e,0x00},{0xe0,0x71,0x00},{0xe1,0x73,0x00},{0xe1,0x75,0x00},
      {0xe2,0x77,0x00},{0xe2,0x7a,0x00},{0xe3,0x7c,0x00},{0xe3,0x7e,0x00},
      {0xe4,0x81,0x00},{0xe4,0x83,0x00},{0xe5,0x85,0x00},{0xe5,0x88,0x00},
      {0xe6,0x8a,0x00},{0xe6,0x8c,0x00},{0xe7,0x8e,0x00},{0xe7,0x91,0x00},
      {0xe8,0x93,0x00},{0xe8,0x95,0x00},{0xe9,0x98,0x00},{0xe9,0x9a,0x00},
      {0xea,0x9c,0x00},{0xea,0x9f,0x00},{0xeb,0xa1,0x00},{0xeb,0xa3,0x00},
      {0xec,0xa6,0x00},{0xec,0xa8,0x00},{0xed,0xaa,0x00},{0xed,0xac,0x00},
      {0xee,0xaf,0x00},{0xee,0xb1,0x00},{0xef,0xb3,0x00},{0xef,0xb6,0x00},
      {0xf0,0xb8,0x00},{0xf0,0xba,0x00},{0xf1,0xbd,0x00},{0xf1,0xbf,0x00},
      {0xf2,0xc1,0x00},{0xf2,0xc4,0x00},{0xf3,0xc6,0x00},{0xf3,0xc8,0x00},
      {0xf4,0xca,0x00},{0xf4,0xcd,0x00},{0xf5,0xcf,0x00},{0xf5,0xd1,0x00},
      {0xf6,0xd4,0x00},{0xf6,0xd6,0x00},{0xf7,0xd8,0x00},{0xf7,0xdb,0x00},
      {0xf8,0xdd,0x00},{0xf8,0xdf,0x00},{0xf9,0xe2,0x00},{0xf9,0xe4,0x00},
      {0xfa,0xe6,0x00},{0xfa,0xe8,0x00},{0xfb,0xeb,0x00},{0xfb,0xed,0x00},
      {0xfc,0xef,0x00},{0xfc,0xf2,0x00},{0xfd,0xf4,0x00},{0xfd,0xf6,0x00},
      {0xfe,0xf9,0x00},{0xfe,0xfb,0x00},{0xff,0xfd,0x00},{0x00,0x00,0x00}
    }
  },
  /* std_gamma_ii */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x05},{0x00,0x00,0x0a},{0x00,0x00,0x0f},
      {0x00,0x00,0x14},{0x00,0x00,0x1a},{0x00,0x00,0x1f},{0x00,0x00,0x24},
      {0x00,0x00,0x29},{0x00,0x00,0x2e},{0x00,0x00,0x34},{0x00,0x00,0x39},
      {0x00,0x00,0x3e},{0x00,0x00,0x43},{0x00,0x00,0x48},{0x00,0x00,0x4e},
      {0x00,0x00,0x53},{0x00,0x00,0x58},{0x00,0x00,0x5d},{0x00,0x00,0x62},
      {0x00,0x00,0x68},{0x00,0x00,0x6d},{0x00,0x00,0x72},{0x00,0x00,0x77},
      {0x00,0x00,0x7c},{0x00,0x00,0x82},{0x00,0x00,0x87},{0x00,0x00,0x8c},
      {0x00,0x00,0x91},{0x00,0x00,0x96},{0x00,0x00,0x9c},{0x00,0x00,0xa1},
      {0x00,0x00,0xa6},{0x00,0x00,0xab},{0x00,0x00,0xb0},{0x00,0x00,0xb6},
      {0x00,0x00,0xbb},{0x00,0x00,0xc0},{0x00,0x00,0xc5},{0x00,0x00,0xca},
      {0x00,0x00,0xd0},{0x00,0x00,0xd5},{0x00,0x00,0xda},{0x00,0x00,0xdf},
      {0x00,0x00,0xe4},{0x00,0x00,0xea},{0x00,0x00,0xef},{0x00,0x00,0xf4},
      {0x04,0x00,0xf9},{0x09,0x00,0xff},{0x0e,0x00,0xfa},{0x13,0x00,0xf5},
      {0x17,0x00,0xef},{0x1c,0x00,0xea},{0x21,0x00,0xe4},{0x26,0x00,0xdf},
      {0x2a,0x00,0xda},{0x2f,0x00,0xd4},{0x34,0x00,0xcf},{0x39,0x00,0xc9},
      {0x3d,0x00,0xc4},{0x42,0x00,0xbe},{0x47,0x00,0xb9},{0x4c,0x00,0xb4},
      {0x51,0x00,0xae},{0x51,0x00,0xa9},{0x51,0x00,0xa3},{0x51,0x00,0x9e},
      {0x51,0x00,0x98},{0x51,0x00,0x93},{0x51,0x00,0x8e},{0x51,0x00,0x88},
      {0x50,0x00,0x83},{0x50,0x00,0x7d},{0x50,0x00,0x78},{0x50,0x00,0x72},
      {0x50,0x00,0x6d},{0x50,0x00,0x68},{0x50,0x00,0x62},{0x4f,0x00,0x5d},
      {0x54,0x00,0x57},{0x59,0x00,0x52},{0x5e,0x00,0x4c},{0x63,0x00,0x47},
      {0x68,0x00,0x42},{0x6d,0x00,0x3c},{0x72,0x00,0x37},{0x77,0x00,0x31},
      {0x7c,0x00,0x2c},{0x81,0x00,0x26},{0x86,0x00,0x21},{0x8b,0x00,0x1c},
      {0x90,0x00,0x16},{0x95,0x00,0x11},{0x9a,0x00,0x0b},{0x9f,0x00,0x06},
      {0xa4,0x00,0x00},{0xa9,0x00,0x00},{0xae,0x00,0x00},{0xb4,0x00,0x00},
      {0xb9,0x00,0x00},{0xbe,0x00,0x00},{0xc4,0x00,0x00},{0xc9,0x00,0x00},
      {0xce,0x00,0x00},{0xd4,0x00,0x00},{0xd9,0x00,0x00},{0xde,0x00,0x00},
      {0xe4,0x00,0x00},{0xe9,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x05,0x00},{0xff,0x0a,0x00},
      {0xff,0x10,0x00},{0xff,0x15,0x00},{0xff,0x1b,0x00},{0xff,0x20,0x00},
      {0xff,0x25,0x00},{0xff,0x2b,0x00},{0xff,0x30,0x00},{0xff,0x36,0x00},
      {0xff,0x3b,0x00},{0xff,0x40,0x00},{0xff,0x46,0x00},{0xff,0x4b,0x00},
      {0xff,0x51,0x00},{0xff,0x55,0x04},{0xff,0x5a,0x09},{0xff,0x5f,0x0e},
      {0xff,0x64,0x13},{0xff,0x69,0x18},{0xff,0x6d,0x1c},{0xff,0x72,0x21},
      {0xff,0x77,0x26},{0xff,0x7c,0x2b},{0xff,0x81,0x30},{0xff,0x86,0x35},
      {0xff,0x8a,0x39},{0xff,0x8f,0x3e},{0xff,0x94,0x43},{0xff,0x99,0x48},
      {0xff,0x9e,0x4d},{0xff,0xa3,0x52},{0xff,0xa3,0x4d},{0xff,0xa3,0x47},
      {0xff,0xa3,0x41},{0xff,0xa3,0x3b},{0xff,0xa3,0x35},{0xff,0xa3,0x2f},
      {0xff,0xa3,0x29},{0xff,0xa3,0x24},{0xff,0xa3,0x1e},{0xff,0xa3,0x18},
      {0xff,0xa3,0x12},{0xff,0xa3,0x0c},{0xff,0xa3,0x06},{0xff,0xa3,0x00},
      {0xff,0xa3,0x00},{0xff,0xa3,0x00},{0xff,0xa3,0x00},{0xf8,0xa3,0x00},
      {0xf0,0xa3,0x00},{0xe8,0xa3,0x00},{0xe1,0xa3,0x00},{0xd9,0xa3,0x00},
      {0xd1,0xa3,0x00},{0xca,0xa3,0x00},{0xc2,0xa3,0x00},{0xba,0xa3,0x00},
      {0xb3,0xa3,0x00},{0xab,0xa3,0x00},{0xa3,0xa3,0x00},{0xa8,0xa3,0x00},
      {0xad,0xa3,0x00},{0xb2,0xa9,0x03},{0xb7,0xaf,0x06},{0xbc,0xb5,0x09},
      {0xc1,0xbb,0x0c},{0xc6,0xc1,0x10},{0xcb,0xc7,0x13},{0xd1,0xcd,0x16},
      {0xd6,0xd4,0x19},{0xdb,0xda,0x1d},{0xe0,0xe0,0x20},{0xe5,0xe6,0x23},
      {0xea,0xec,0x26},{0xef,0xf2,0x29},{0xf4,0xf8,0x2d},{0xf9,0xff,0x30},
      {0xff,0xff,0x33},{0xff,0xff,0x36},{0xff,0xff,0x3a},{0xff,0xff,0x3d},
      {0xff,0xff,0x40},{0xff,0xff,0x43},{0xff,0xff,0x47},{0xff,0xff,0x4a},
      {0xff,0xff,0x4d},{0xff,0xff,0x50},{0xff,0xff,0x53},{0xff,0xff,0x57},
      {0xff,0xff,0x5a},{0xff,0xff,0x5d},{0xff,0xff,0x60},{0xff,0xff,0x64},
      {0xff,0xff,0x67},{0xff,0xff,0x6a},{0xff,0xff,0x6d},{0xff,0xff,0x70},
      {0xff,0xff,0x74},{0xff,0xff,0x77},{0xff,0xff,0x7a},{0xff,0xff,0x7d},
      {0xff,0xff,0x81},{0xff,0xff,0x84},{0xff,0xff,0x87},{0xff,0xff,0x8a},
      {0xff,0xff,0x8e},{0xff,0xff,0x91},{0xff,0xff,0x94},{0xff,0xff,0x97},
      {0xff,0xff,0x9a},{0xff,0xff,0x9e},{0xff,0xff,0xa1},{0xff,0xff,0xa4},
      {0xff,0xff,0xa7},{0xff,0xff,0xab},{0xff,0xff,0xae},{0xff,0xff,0xb1},
      {0xff,0xff,0xb4},{0xff,0xff,0xb7},{0xff,0xff,0xbb},{0xff,0xff,0xbe},
      {0xff,0xff,0xc1},{0xff,0xff,0xc4},{0xff,0xff,0xc8},{0xff,0xff,0xcb},
      {0xff,0xff,0xce},{0xff,0xff,0xd1},{0xff,0xff,0xd5},{0xff,0xff,0xd8},
      {0xff,0xff,0xdb},{0xff,0xff,0xde},{0xff,0xff,0xe1},{0xff,0xff,0xe5},
      {0xff,0xff,0xe8},{0xff,0xff,0xeb},{0xff,0xff,0xee},{0xff,0xff,0xf2},
      {0xff,0xff,0xf5},{0xff,0xff,0xf8},{0xff,0xff,0xfb},{0x00,0x00,0x00}
    }
  },
  /* prism */
  { 0,
    { {0x00,0x00,0x00},{0x03,0x00,0x00},{0x07,0x00,0x00},{0x0b,0x00,0x00},
      {0x0f,0x00,0x00},{0x13,0x00,0x00},{0x16,0x00,0x00},{0x1a,0x00,0x00},
      {0x1e,0x00,0x00},{0x22,0x00,0x00},{0x26,0x00,0x00},{0x29,0x00,0x00},
      {0x2d,0x00,0x00},{0x31,0x00,0x00},{0x35,0x00,0x00},{0x39,0x00,0x00},
      {0x3c,0x00,0x00},{0x40,0x00,0x00},{0x44,0x00,0x00},{0x48,0x00,0x00},
      {0x4c,0x00,0x00},{0x4f,0x00,0x00},{0x53,0x00,0x00},{0x57,0x00,0x00},
      {0x5b,0x00,0x00},{0x5f,0x00,0x00},{0x62,0x00,0x00},{0x66,0x00,0x00},
      {0x6a,0x00,0x00},{0x6e,0x00,0x00},{0x72,0x00,0x00},{0x75,0x00,0x00},
      {0x79,0x00,0x00},{0x7d,0x00,0x00},{0x81,0x00,0x00},{0x85,0x00,0x00},
      {0x89,0x00,0x00},{0x8c,0x00,0x00},{0x90,0x00,0x00},{0x94,0x00,0x00},
      {0x98,0x00,0x00},{0x9c,0x00,0x00},{0x9f,0x00,0x00},{0xa3,0x00,0x00},
      {0xa7,0x00,0x00},{0xab,0x00,0x00},{0xaf,0x00,0x00},{0xb2,0x00,0x00},
      {0xb6,0x00,0x00},{0xba,0x00,0x00},{0xbe,0x00,0x00},{0xc2,0x00,0x00},
      {0xc5,0x00,0x00},{0xc9,0x00,0x00},{0xcd,0x00,0x00},{0xd1,0x00,0x00},
      {0xd5,0x00,0x00},{0xd8,0x00,0x00},{0xdc,0x00,0x00},{0xe0,0x00,0x00},
      {0xe4,0x00,0x00},{0xe8,0x00,0x00},{0xeb,0x00,0x00},{0xef,0x00,0x00},
      {0xf3,0x00,0x00},{0xf7,0x03,0x00},{0xfb,0x07,0x00},{0xff,0x0b,0x00},
      {0xfb,0x0f,0x00},{0xf7,0x13,0x00},{0xf3,0x17,0x00},{0xef,0x1b,0x00},
      {0xeb,0x1f,0x00},{0xe6,0x23,0x00},{0xe2,0x27,0x00},{0xde,0x2b,0x00},
      {0xda,0x2f,0x00},{0xd6,0x33,0x00},{0xd2,0x37,0x00},{0xcd,0x3b,0x00},
      {0xc9,0x3f,0x00},{0xc5,0x43,0x00},{0xc1,0x47,0x00},{0xbd,0x4b,0x00},
      {0xb8,0x4f,0x00},{0xb4,0x53,0x00},{0xb0,0x57,0x00},{0xac,0x5b,0x00},
      {0xa8,0x5f,0x00},{0xa4,0x63,0x00},{0x9f,0x67,0x00},{0x9b,0x6b,0x00},
      {0x97,0x6f,0x00},{0x93,0x73,0x00},{0x8f,0x77,0x00},{0x8a,0x7b,0x00},
      {0x86,0x7f,0x00},{0x82,0x83,0x00},{0x7e,0x87,0x00},{0x7a,0x8b,0x00},
      {0x76,0x8f,0x00},{0x71,0x93,0x00},{0x6d,0x97,0x00},{0x69,0x9b,0x00},
      {0x65,0x9f,0x00},{0x61,0xa3,0x00},{0x5c,0xa7,0x00},{0x58,0xab,0x00},
      {0x54,0xaf,0x00},{0x50,0xb3,0x00},{0x4c,0xb7,0x00},{0x48,0xbb,0x00},
      {0x43,0xbf,0x00},{0x3f,0xc3,0x00},{0x3b,0xc7,0x00},{0x37,0xcb,0x00},
      {0x33,0xcf,0x00},{0x2e,0xd3,0x00},{0x2a,0xd7,0x00},{0x26,0xdb,0x00},
      {0x22,0xdf,0x00},{0x1e,0xe3,0x00},{0x1a,0xe7,0x00},{0x15,0xeb,0x00},
      {0x11,0xef,0x00},{0x0d,0xf3,0x00},{0x09,0xf7,0x00},{0x05,0xfb,0x03},
      {0x00,0xff,0x07},{0x00,0xfb,0x0b},{0x00,0xf7,0x0f},{0x00,0xf3,0x13},
      {0x00,0xef,0x17},{0x00,0xeb,0x1b},{0x00,0xe7,0x1e},{0x00,0xe3,0x22},
      {0x00,0xdf,0x26},{0x00,0xdb,0x2a},{0x00,0xd7,0x2e},{0x00,0xd3,0x32},
      {0x00,0xcf,0x36},{0x00,0xcb,0x39},{0x00,0xc7,0x3d},{0x00,0xc3,0x41},
      {0x00,0xbf,0x45},{0x00,0xbb,0x49},{0x00,0xb7,0x4d},{0x00,0xb3,0x51},
      {0x00,0xaf,0x55},{0x00,0xaa,0x58},{0x00,0xa6,0x5c},{0x00,0xa2,0x60},
      {0x00,0x9e,0x64},{0x00,0x9a,0x68},{0x00,0x96,0x6c},{0x00,0x92,0x70},
      {0x00,0x8e,0x73},{0x00,0x8a,0x77},{0x00,0x86,0x7b},{0x00,0x82,0x7f},
      {0x00,0x7e,0x83},{0x00,0x7a,0x87},{0x00,0x76,0x8b},{0x00,0x72,0x8e},
      {0x00,0x6e,0x92},{0x00,0x6a,0x96},{0x00,0x66,0x9a},{0x00,0x62,0x9e},
      {0x00,0x5e,0xa2},{0x00,0x5a,0xa6},{0x00,0x55,0xaa},{0x00,0x51,0xad},
      {0x00,0x4d,0xb1},{0x00,0x49,0xb5},{0x00,0x45,0xb9},{0x00,0x41,0xbd},
      {0x00,0x3d,0xc1},{0x00,0x39,0xc5},{0x00,0x35,0xc8},{0x00,0x31,0xcc},
      {0x00,0x2d,0xd0},{0x00,0x29,0xd4},{0x00,0x25,0xd8},{0x00,0x21,0xdc},
      {0x00,0x1d,0xe0},{0x00,0x19,0xe3},{0x00,0x15,0xe7},{0x00,0x11,0xeb},
      {0x00,0x0d,0xef},{0x00,0x09,0xf3},{0x00,0x05,0xf7},{0x00,0x00,0xfb},
      {0x00,0x00,0xff},{0x00,0x00,0xfb},{0x00,0x00,0xf7},{0x00,0x00,0xf3},
      {0x00,0x00,0xef},{0x00,0x00,0xeb},{0x00,0x00,0xe7},{0x00,0x00,0xe3},
      {0x00,0x00,0xdf},{0x00,0x00,0xdb},{0x00,0x00,0xd7},{0x00,0x00,0xd3},
      {0x00,0x00,0xcf},{0x00,0x00,0xcb},{0x00,0x00,0xc7},{0x00,0x00,0xc3},
      {0x00,0x00,0xbf},{0x00,0x00,0xbb},{0x00,0x00,0xb7},{0x00,0x00,0xb3},
      {0x00,0x00,0xaf},{0x00,0x00,0xaa},{0x00,0x00,0xa6},{0x00,0x00,0xa2},
      {0x00,0x00,0x9e},{0x00,0x00,0x9a},{0x00,0x00,0x96},{0x00,0x00,0x92},
      {0x00,0x00,0x8e},{0x00,0x00,0x8a},{0x00,0x00,0x86},{0x00,0x00,0x82},
      {0x00,0x00,0x7e},{0x00,0x00,0x7a},{0x00,0x00,0x76},{0x00,0x00,0x72},
      {0x00,0x00,0x6e},{0x00,0x00,0x6a},{0x00,0x00,0x66},{0x00,0x00,0x62},
      {0x00,0x00,0x5e},{0x00,0x00,0x5a},{0x00,0x00,0x55},{0x00,0x00,0x51},
      {0x00,0x00,0x4d},{0x00,0x00,0x49},{0x00,0x00,0x45},{0x00,0x00,0x41},
      {0x00,0x00,0x3d},{0x00,0x00,0x39},{0x00,0x00,0x35},{0x00,0x00,0x31},
      {0x00,0x00,0x2d},{0x00,0x00,0x29},{0x00,0x00,0x25},{0x00,0x00,0x21},
      {0x00,0x00,0x1d},{0x00,0x00,0x19},{0x00,0x00,0x15},{0x00,0x00,0x11},
      {0x00,0x00,0x0d},{0x00,0x00,0x09},{0x00,0x00,0x05},{0x00,0x00,0x00}
    }
  },
  /* red_purple */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x00},{0x03,0x00,0x00},{0x06,0x00,0x00},
      {0x0a,0x00,0x00},{0x0d,0x00,0x00},{0x11,0x00,0x00},{0x14,0x00,0x00},
      {0x18,0x00,0x01},{0x1b,0x00,0x01},{0x1e,0x00,0x01},{0x21,0x00,0x01},
      {0x24,0x00,0x02},{0x27,0x00,0x02},{0x2a,0x00,0x02},{0x2d,0x00,0x02},
      {0x30,0x00,0x02},{0x33,0x00,0x02},{0x36,0x00,0x02},{0x39,0x00,0x02},
      {0x3c,0x00,0x03},{0x3f,0x00,0x03},{0x42,0x00,0x03},{0x45,0x00,0x03},
      {0x48,0x00,0x04},{0x4b,0x00,0x04},{0x4e,0x00,0x04},{0x51,0x00,0x04},
      {0x54,0x00,0x04},{0x55,0x00,0x05},{0x56,0x00,0x06},{0x57,0x00,0x07},
      {0x58,0x00,0x09},{0x5a,0x00,0x09},{0x5c,0x00,0x0a},{0x5e,0x00,0x0b},
      {0x60,0x00,0x0c},{0x61,0x00,0x0d},{0x62,0x00,0x0e},{0x63,0x00,0x0f},
      {0x64,0x00,0x11},{0x66,0x00,0x11},{0x68,0x00,0x12},{0x6a,0x00,0x12},
      {0x6c,0x00,0x13},{0x6d,0x00,0x14},{0x6e,0x00,0x16},{0x6f,0x00,0x17},
      {0x70,0x00,0x19},{0x72,0x00,0x19},{0x74,0x00,0x1a},{0x76,0x00,0x1a},
      {0x78,0x00,0x1b},{0x79,0x00,0x1c},{0x7a,0x00,0x1d},{0x7b,0x00,0x1e},
      {0x7c,0x00,0x20},{0x7e,0x00,0x20},{0x80,0x00,0x21},{0x82,0x00,0x21},
      {0x84,0x00,0x22},{0x85,0x00,0x23},{0x86,0x00,0x24},{0x87,0x00,0x25},
      {0x88,0x00,0x27},{0x8a,0x01,0x27},{0x8c,0x02,0x28},{0x8e,0x03,0x28},
      {0x90,0x04,0x29},{0x91,0x04,0x2a},{0x92,0x04,0x2b},{0x93,0x04,0x2c},
      {0x94,0x04,0x2e},{0x96,0x04,0x2e},{0x98,0x04,0x2f},{0x9a,0x04,0x30},
      {0x9c,0x04,0x31},{0x9d,0x04,0x32},{0x9e,0x04,0x33},{0x9f,0x04,0x34},
      {0xa0,0x04,0x36},{0xa2,0x05,0x36},{0xa4,0x06,0x35},{0xa6,0x07,0x35},
      {0xa8,0x08,0x34},{0xa9,0x08,0x36},{0xaa,0x08,0x38},{0xab,0x08,0x3a},
      {0xac,0x08,0x3c},{0xae,0x08,0x3c},{0xb0,0x08,0x3d},{0xb2,0x08,0x3e},
      {0xb4,0x08,0x3f},{0xb5,0x08,0x40},{0xb6,0x08,0x41},{0xb7,0x08,0x42},
      {0xb8,0x08,0x44},{0xb9,0x08,0x45},{0xba,0x08,0x46},{0xbb,0x08,0x47},
      {0xbc,0x08,0x49},{0xbd,0x08,0x4a},{0xbe,0x08,0x4b},{0xbf,0x08,0x4c},
      {0xc0,0x08,0x4d},{0xc1,0x08,0x4e},{0xc2,0x08,0x4f},{0xc3,0x08,0x50},
      {0xc4,0x08,0x52},{0xc6,0x09,0x52},{0xc8,0x0a,0x53},{0xca,0x0b,0x53},
      {0xcc,0x0c,0x54},{0xcd,0x0c,0x55},{0xce,0x0c,0x56},{0xcf,0x0c,0x57},
      {0xd0,0x0c,0x59},{0xd1,0x0c,0x5a},{0xd2,0x0c,0x5b},{0xd3,0x0c,0x5c},
      {0xd4,0x0c,0x5e},{0xd5,0x0c,0x5f},{0xd6,0x0c,0x60},{0xd7,0x0c,0x61},
      {0xd8,0x0c,0x62},{0xd9,0x0c,0x63},{0xda,0x0c,0x64},{0xdb,0x0c,0x65},
      {0xdc,0x0c,0x67},{0xde,0x0c,0x67},{0xe0,0x0c,0x68},{0xe2,0x0c,0x69},
      {0xe4,0x0c,0x6a},{0xe5,0x0d,0x6b},{0xe6,0x0e,0x6c},{0xe7,0x0f,0x6d},
      {0xe8,0x10,0x6e},{0xe9,0x10,0x6f},{0xea,0x10,0x70},{0xeb,0x10,0x71},
      {0xec,0x10,0x73},{0xed,0x10,0x74},{0xee,0x10,0x75},{0xef,0x10,0x76},
      {0xf0,0x10,0x77},{0xf1,0x10,0x78},{0xf2,0x10,0x79},{0xf3,0x10,0x7a},
      {0xf4,0x10,0x7c},{0xf6,0x10,0x7c},{0xf8,0x10,0x7d},{0xfa,0x10,0x7d},
      {0xfc,0x10,0x7e},{0xfc,0x11,0x7f},{0xfc,0x12,0x81},{0xfc,0x13,0x83},
      {0xfc,0x14,0x85},{0xfc,0x14,0x86},{0xfc,0x14,0x88},{0xfc,0x14,0x8a},
      {0xfc,0x14,0x8c},{0xfc,0x15,0x8d},{0xfc,0x16,0x8f},{0xfc,0x17,0x90},
      {0xfc,0x18,0x92},{0xfc,0x18,0x93},{0xfc,0x18,0x95},{0xfc,0x18,0x97},
      {0xfc,0x18,0x99},{0xfc,0x19,0x9a},{0xfc,0x1a,0x9c},{0xfc,0x1b,0x9d},
      {0xfc,0x1c,0x9f},{0xfc,0x1e,0xa0},{0xfc,0x20,0xa1},{0xfc,0x22,0xa2},
      {0xfc,0x24,0xa4},{0xfc,0x26,0xa5},{0xfc,0x28,0xa6},{0xfc,0x2a,0xa7},
      {0xfc,0x2c,0xa9},{0xfc,0x2e,0xaa},{0xfc,0x30,0xac},{0xfc,0x32,0xad},
      {0xfc,0x34,0xaf},{0xfc,0x36,0xb0},{0xfc,0x38,0xb1},{0xfc,0x3a,0xb2},
      {0xfc,0x3c,0xb4},{0xfc,0x3d,0xb5},{0xfc,0x3e,0xb7},{0xfc,0x3f,0xb8},
      {0xfc,0x40,0xba},{0xfc,0x42,0xbb},{0xfc,0x44,0xbc},{0xfc,0x46,0xbd},
      {0xfc,0x48,0xbf},{0xfc,0x4a,0xc0},{0xfc,0x4c,0xc1},{0xfc,0x4e,0xc2},
      {0xfc,0x50,0xc4},{0xfc,0x52,0xc5},{0xfc,0x54,0xc7},{0xfc,0x56,0xc8},
      {0xfc,0x58,0xca},{0xfc,0x5a,0xcb},{0xfc,0x5c,0xcc},{0xfc,0x5e,0xcd},
      {0xfc,0x60,0xcf},{0xfc,0x62,0xd0},{0xfc,0x64,0xd1},{0xfc,0x66,0xd2},
      {0xfc,0x68,0xd4},{0xfc,0x6b,0xd5},{0xfc,0x6e,0xd6},{0xfc,0x71,0xd7},
      {0xfc,0x74,0xd9},{0xfc,0x77,0xda},{0xfc,0x7a,0xdb},{0xfc,0x7d,0xdc},
      {0xfc,0x80,0xdd},{0xfc,0x83,0xde},{0xfc,0x86,0xdf},{0xfc,0x89,0xe0},
      {0xfc,0x8c,0xe2},{0xfc,0x8f,0xe3},{0xfc,0x92,0xe4},{0xfc,0x95,0xe5},
      {0xfc,0x98,0xe6},{0xfc,0x9b,0xe7},{0xfc,0x9e,0xe8},{0xfc,0xa1,0xe9},
      {0xfc,0xa4,0xeb},{0xfc,0xa7,0xec},{0xfc,0xaa,0xed},{0xfc,0xad,0xee},
      {0xfc,0xb0,0xef},{0xfc,0xb4,0xf0},{0xfc,0xb8,0xf1},{0xfc,0xbc,0xf2},
      {0xfc,0xc0,0xf3},{0xfc,0xc5,0xf3},{0xfc,0xca,0xf4},{0xfc,0xcf,0xf5},
      {0xfc,0xd4,0xf6},{0xfc,0xd9,0xf6},{0xfc,0xde,0xf7},{0xfc,0xe3,0xf8},
      {0xfc,0xe8,0xf9},{0xfc,0xed,0xf9},{0xfc,0xf2,0xfa},{0xfc,0xf7,0xfb},
      {0xfc,0xfc,0xfc},{0xfc,0xfc,0xfc},{0xfd,0xfd,0xfd},{0x00,0x00,0x00}
    }
  },
  /* green_white_linear */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x01,0x00},{0x00,0x02,0x00},{0x00,0x03,0x00},
      {0x00,0x04,0x00},{0x00,0x05,0x00},{0x00,0x06,0x00},{0x00,0x07,0x00},
      {0x00,0x08,0x00},{0x00,0x09,0x00},{0x00,0x0a,0x00},{0x00,0x0b,0x00},
      {0x00,0x0c,0x00},{0x00,0x0d,0x00},{0x00,0x0e,0x00},{0x00,0x0f,0x00},
      {0x00,0x10,0x00},{0x00,0x11,0x00},{0x00,0x12,0x00},{0x00,0x13,0x00},
      {0x00,0x14,0x00},{0x00,0x15,0x00},{0x00,0x16,0x00},{0x00,0x17,0x00},
      {0x00,0x18,0x00},{0x00,0x19,0x00},{0x00,0x1a,0x00},{0x00,0x1b,0x00},
      {0x00,0x1c,0x00},{0x00,0x1d,0x00},{0x00,0x1e,0x00},{0x00,0x1f,0x00},
      {0x00,0x20,0x00},{0x00,0x21,0x00},{0x00,0x22,0x00},{0x00,0x23,0x00},
      {0x00,0x24,0x00},{0x00,0x25,0x00},{0x00,0x26,0x00},{0x00,0x27,0x00},
      {0x00,0x28,0x00},{0x00,0x29,0x00},{0x00,0x2a,0x00},{0x00,0x2b,0x00},
      {0x00,0x2c,0x00},{0x00,0x2d,0x00},{0x00,0x2e,0x00},{0x00,0x2f,0x00},
      {0x00,0x30,0x00},{0x00,0x31,0x00},{0x00,0x32,0x00},{0x00,0x33,0x00},
      {0x00,0x34,0x00},{0x00,0x35,0x00},{0x00,0x36,0x00},{0x00,0x37,0x00},
      {0x00,0x38,0x00},{0x00,0x39,0x00},{0x00,0x3a,0x00},{0x00,0x3b,0x00},
      {0x00,0x3c,0x00},{0x00,0x3d,0x00},{0x00,0x3e,0x00},{0x00,0x3f,0x00},
      {0x00,0x40,0x00},{0x00,0x41,0x00},{0x00,0x42,0x00},{0x00,0x43,0x00},
      {0x00,0x44,0x00},{0x00,0x45,0x00},{0x00,0x46,0x00},{0x00,0x47,0x00},
      {0x00,0x48,0x00},{0x00,0x49,0x00},{0x00,0x4a,0x00},{0x00,0x4b,0x00},
      {0x00,0x4c,0x00},{0x00,0x4d,0x00},{0x00,0x4e,0x00},{0x00,0x4f,0x00},
      {0x00,0x50,0x00},{0x00,0x51,0x00},{0x00,0x52,0x00},{0x00,0x53,0x00},
      {0x00,0x54,0x00},{0x00,0x55,0x00},{0x00,0x56,0x00},{0x00,0x57,0x00},
      {0x00,0x58,0x00},{0x00,0x59,0x00},{0x00,0x5a,0x00},{0x00,0x5b,0x00},
      {0x00,0x5c,0x00},{0x00,0x5d,0x00},{0x00,0x5e,0x00},{0x00,0x5f,0x00},
      {0x00,0x60,0x00},{0x00,0x61,0x00},{0x01,0x62,0x00},{0x03,0x63,0x00},
      {0x04,0x64,0x00},{0x06,0x65,0x00},{0x08,0x66,0x00},{0x09,0x67,0x00},
      {0x0b,0x68,0x00},{0x0c,0x69,0x00},{0x0e,0x6a,0x00},{0x10,0x6b,0x00},
      {0x11,0x6c,0x00},{0x13,0x6d,0x00},{0x14,0x6e,0x00},{0x16,0x6f,0x00},
      {0x18,0x70,0x00},{0x19,0x71,0x00},{0x1b,0x72,0x00},{0x1d,0x73,0x00},
      {0x1e,0x74,0x00},{0x20,0x75,0x00},{0x21,0x76,0x00},{0x23,0x77,0x00},
      {0x25,0x78,0x00},{0x26,0x79,0x00},{0x28,0x7a,0x00},{0x29,0x7b,0x00},
      {0x2b,0x7c,0x00},{0x2d,0x7d,0x00},{0x2e,0x7e,0x00},{0x30,0x7f,0x00},
      {0x32,0x80,0x00},{0x33,0x81,0x00},{0x35,0x82,0x00},{0x36,0x83,0x00},
      {0x38,0x84,0x00},{0x3a,0x85,0x00},{0x3b,0x86,0x00},{0x3d,0x87,0x00},
      {0x3e,0x88,0x00},{0x40,0x89,0x00},{0x42,0x8a,0x00},{0x43,0x8b,0x00},
      {0x45,0x8c,0x00},{0x47,0x8d,0x00},{0x48,0x8e,0x00},{0x4a,0x8f,0x00},
      {0x4b,0x90,0x00},{0x4d,0x91,0x00},{0x4f,0x92,0x00},{0x50,0x93,0x00},
      {0x52,0x94,0x00},{0x53,0x95,0x00},{0x55,0x96,0x00},{0x57,0x97,0x00},
      {0x58,0x98,0x00},{0x5a,0x99,0x00},{0x5b,0x9a,0x00},{0x5d,0x9b,0x00},
      {0x5f,0x9c,0x00},{0x60,0x9d,0x00},{0x62,0x9e,0x00},{0x64,0x9f,0x00},
      {0x65,0xa0,0x00},{0x67,0xa1,0x00},{0x68,0xa2,0x00},{0x6a,0xa3,0x00},
      {0x6c,0xa4,0x00},{0x6d,0xa5,0x00},{0x6f,0xa6,0x00},{0x70,0xa7,0x00},
      {0x72,0xa8,0x00},{0x74,0xa9,0x00},{0x75,0xaa,0x00},{0x77,0xab,0x00},
      {0x79,0xac,0x00},{0x7a,0xad,0x00},{0x7c,0xae,0x00},{0x7d,0xaf,0x00},
      {0x7f,0xb0,0x00},{0x81,0xb1,0x00},{0x82,0xb2,0x00},{0x84,0xb3,0x00},
      {0x85,0xb4,0x00},{0x87,0xb5,0x00},{0x89,0xb6,0x03},{0x8a,0xb7,0x06},
      {0x8c,0xb8,0x0a},{0x8e,0xb9,0x0d},{0x8f,0xba,0x11},{0x91,0xbb,0x14},
      {0x92,0xbc,0x18},{0x94,0xbd,0x1b},{0x96,0xbe,0x1f},{0x97,0xbf,0x22},
      {0x99,0xc0,0x25},{0x9a,0xc1,0x29},{0x9c,0xc2,0x2c},{0x9e,0xc3,0x30},
      {0x9f,0xc4,0x33},{0xa1,0xc5,0x37},{0xa3,0xc6,0x3a},{0xa4,0xc7,0x3e},
      {0xa6,0xc8,0x41},{0xa7,0xc9,0x44},{0xa9,0xca,0x48},{0xab,0xcb,0x4b},
      {0xac,0xcc,0x4f},{0xae,0xcd,0x52},{0xaf,0xce,0x56},{0xb1,0xcf,0x59},
      {0xb3,0xd0,0x5d},{0xb4,0xd1,0x60},{0xb6,0xd2,0x63},{0xb7,0xd3,0x67},
      {0xb9,0xd4,0x6a},{0xbb,0xd5,0x6e},{0xbc,0xd6,0x71},{0xbe,0xd7,0x75},
      {0xc0,0xd8,0x78},{0xc1,0xd9,0x7c},{0xc3,0xda,0x7f},{0xc4,0xdb,0x82},
      {0xc6,0xdc,0x86},{0xc8,0xdd,0x89},{0xc9,0xde,0x8d},{0xcb,0xdf,0x90},
      {0xcc,0xe0,0x94},{0xce,0xe1,0x97},{0xd0,0xe2,0x9b},{0xd1,0xe3,0x9e},
      {0xd3,0xe4,0xa1},{0xd5,0xe5,0xa5},{0xd6,0xe6,0xa8},{0xd8,0xe7,0xac},
      {0xd9,0xe8,0xaf},{0xdb,0xe9,0xb3},{0xdd,0xea,0xb6},{0xde,0xeb,0xba},
      {0xe0,0xec,0xbd},{0xe1,0xed,0xc0},{0xe3,0xee,0xc4},{0xe5,0xef,0xc7},
      {0xe6,0xf0,0xcb},{0xe8,0xf1,0xce},{0xea,0xf2,0xd2},{0xeb,0xf3,0xd5},
      {0xed,0xf4,0xd9},{0xee,0xf5,0xdc},{0xf0,0xf6,0xdf},{0xf2,0xf7,0xe3},
      {0xf3,0xf8,0xe6},{0xf5,0xf9,0xea},{0xf6,0xfa,0xed},{0xf8,0xfb,0xf1},
      {0xfa,0xfc,0xf4},{0xfb,0xfd,0xf8},{0xfd,0xfe,0xfb},{0x00,0x00,0x00}
    }
  },
  /* rgn_wht_exponential */
  { 0,
    { {0x01,0x00,0x00},{0x01,0x00,0x00},{0x01,0x01,0x00},{0x02,0x02,0x00},
      {0x02,0x02,0x01},{0x02,0x03,0x01},{0x03,0x04,0x01},{0x03,0x04,0x01},
      {0x04,0x05,0x02},{0x04,0x06,0x02},{0x04,0x06,0x02},{0x05,0x07,0x02},
      {0x05,0x08,0x03},{0x05,0x08,0x03},{0x06,0x09,0x03},{0x06,0x0a,0x03},
      {0x07,0x0a,0x04},{0x07,0x0b,0x04},{0x07,0x0c,0x04},{0x08,0x0c,0x05},
      {0x08,0x0d,0x05},{0x09,0x0e,0x05},{0x09,0x0e,0x05},{0x09,0x0f,0x06},
      {0x0a,0x10,0x06},{0x0a,0x10,0x06},{0x0a,0x11,0x06},{0x0b,0x12,0x07},
      {0x0b,0x12,0x07},{0x0c,0x13,0x07},{0x0c,0x14,0x07},{0x0c,0x14,0x08},
      {0x0d,0x15,0x08},{0x0d,0x16,0x08},{0x0d,0x16,0x08},{0x0e,0x17,0x09},
      {0x0e,0x18,0x09},{0x0f,0x18,0x09},{0x0f,0x19,0x0a},{0x0f,0x1a,0x0a},
      {0x10,0x1a,0x0a},{0x10,0x1b,0x0a},{0x11,0x1c,0x0b},{0x11,0x1c,0x0b},
      {0x11,0x1d,0x0b},{0x12,0x1e,0x0b},{0x12,0x1e,0x0c},{0x12,0x1f,0x0c},
      {0x13,0x20,0x0c},{0x13,0x20,0x0c},{0x14,0x21,0x0d},{0x14,0x22,0x0d},
      {0x14,0x22,0x0d},{0x15,0x23,0x0d},{0x15,0x24,0x0e},{0x15,0x24,0x0e},
      {0x16,0x25,0x0e},{0x16,0x26,0x0f},{0x17,0x26,0x0f},{0x17,0x27,0x0f},
      {0x17,0x28,0x0f},{0x18,0x28,0x10},{0x18,0x29,0x10},{0x19,0x2a,0x10},
      {0x19,0x2a,0x10},{0x19,0x2b,0x11},{0x1a,0x2c,0x11},{0x1a,0x2c,0x11},
      {0x1a,0x2d,0x11},{0x1b,0x2e,0x12},{0x1b,0x2e,0x12},{0x1c,0x2f,0x12},
      {0x1c,0x30,0x12},{0x1c,0x30,0x13},{0x1d,0x31,0x13},{0x1d,0x32,0x13},
      {0x1d,0x32,0x14},{0x1e,0x33,0x14},{0x1e,0x34,0x14},{0x1f,0x34,0x14},
      {0x1f,0x35,0x15},{0x1f,0x36,0x15},{0x20,0x36,0x15},{0x20,0x37,0x15},
      {0x21,0x38,0x16},{0x21,0x38,0x16},{0x21,0x39,0x16},{0x22,0x3a,0x16},
      {0x22,0x3a,0x17},{0x22,0x3b,0x17},{0x23,0x3c,0x17},{0x23,0x3c,0x17},
      {0x24,0x3d,0x18},{0x24,0x3e,0x18},{0x24,0x3e,0x18},{0x25,0x3f,0x19},
      {0x25,0x40,0x19},{0x25,0x40,0x19},{0x26,0x41,0x19},{0x26,0x42,0x1a},
      {0x27,0x42,0x1a},{0x27,0x43,0x1a},{0x27,0x44,0x1a},{0x28,0x44,0x1b},
      {0x28,0x45,0x1b},{0x29,0x46,0x1b},{0x29,0x46,0x1b},{0x29,0x47,0x1c},
      {0x2a,0x48,0x1c},{0x2a,0x48,0x1c},{0x2a,0x49,0x1c},{0x2b,0x4a,0x1d},
      {0x2b,0x4a,0x1d},{0x2c,0x4b,0x1d},{0x2c,0x4c,0x1e},{0x2c,0x4c,0x1e},
      {0x2d,0x4d,0x1e},{0x2d,0x4e,0x1e},{0x2d,0x4e,0x1f},{0x2e,0x4f,0x1f},
      {0x2e,0x50,0x1f},{0x2f,0x50,0x1f},{0x2f,0x51,0x20},{0x2f,0x52,0x20},
      {0x30,0x52,0x20},{0x30,0x53,0x20},{0x31,0x54,0x21},{0x31,0x54,0x21},
      {0x31,0x55,0x21},{0x32,0x56,0x21},{0x32,0x57,0x22},{0x32,0x58,0x22},
      {0x33,0x5a,0x22},{0x33,0x5b,0x23},{0x34,0x5c,0x23},{0x34,0x5e,0x23},
      {0x34,0x5f,0x23},{0x36,0x60,0x24},{0x36,0x62,0x24},{0x37,0x63,0x24},
      {0x38,0x64,0x24},{0x38,0x66,0x25},{0x39,0x67,0x25},{0x3a,0x68,0x25},
      {0x3a,0x6a,0x25},{0x3b,0x6b,0x26},{0x3c,0x6c,0x26},{0x3c,0x6e,0x26},
      {0x3d,0x6f,0x26},{0x3e,0x70,0x27},{0x3e,0x72,0x27},{0x3f,0x73,0x27},
      {0x40,0x74,0x28},{0x40,0x76,0x28},{0x42,0x77,0x28},{0x44,0x78,0x28},
      {0x46,0x7a,0x29},{0x47,0x7b,0x29},{0x49,0x7c,0x29},{0x4b,0x7e,0x29},
      {0x4d,0x7f,0x2a},{0x4f,0x80,0x2a},{0x51,0x82,0x2a},{0x53,0x83,0x2a},
      {0x55,0x84,0x2b},{0x56,0x86,0x2b},{0x58,0x87,0x2b},{0x5a,0x88,0x2b},
      {0x5c,0x8a,0x2c},{0x5e,0x8b,0x2c},{0x60,0x8c,0x2c},{0x62,0x8e,0x2d},
      {0x63,0x8f,0x2d},{0x65,0x91,0x2d},{0x67,0x92,0x2d},{0x69,0x93,0x2e},
      {0x6b,0x95,0x2e},{0x6d,0x96,0x2e},{0x6f,0x97,0x2e},{0x71,0x99,0x2f},
      {0x72,0x9a,0x2f},{0x74,0x9b,0x2f},{0x76,0x9d,0x2f},{0x78,0x9e,0x30},
      {0x7a,0x9f,0x2f},{0x7c,0xa1,0x31},{0x7e,0xa2,0x34},{0x7f,0xa3,0x37},
      {0x81,0xa5,0x3a},{0x83,0xa6,0x3d},{0x85,0xa7,0x40},{0x87,0xa9,0x43},
      {0x89,0xaa,0x46},{0x8b,0xab,0x49},{0x8d,0xad,0x4c},{0x8e,0xae,0x4f},
      {0x90,0xaf,0x52},{0x92,0xb1,0x55},{0x94,0xb2,0x58},{0x96,0xb3,0x5a},
      {0x98,0xb5,0x5d},{0x9a,0xb6,0x60},{0x9c,0xb7,0x63},{0x9d,0xb9,0x66},
      {0x9f,0xba,0x69},{0xa1,0xbb,0x6c},{0xa3,0xbd,0x6f},{0xa5,0xbe,0x72},
      {0xa7,0xbf,0x75},{0xa9,0xc1,0x78},{0xaa,0xc2,0x7b},{0xac,0xc3,0x7e},
      {0xae,0xc5,0x81},{0xb0,0xc6,0x83},{0xb2,0xc8,0x86},{0xb4,0xc9,0x89},
      {0xb6,0xca,0x8c},{0xb8,0xcc,0x8f},{0xb9,0xcd,0x92},{0xbb,0xce,0x95},
      {0xbd,0xd0,0x98},{0xbf,0xd1,0x9b},{0xc1,0xd2,0x9e},{0xc3,0xd4,0xa1},
      {0xc5,0xd5,0xa4},{0xc6,0xd6,0xa7},{0xc8,0xd8,0xaa},{0xca,0xd9,0xac},
      {0xcc,0xda,0xaf},{0xce,0xdc,0xb2},{0xd0,0xdd,0xb5},{0xd2,0xde,0xb8},
      {0xd4,0xe0,0xbb},{0xd5,0xe1,0xbe},{0xd7,0xe2,0xc1},{0xd9,0xe4,0xc4},
      {0xdb,0xe5,0xc7},{0xdd,0xe6,0xca},{0xdf,0xe8,0xcd},{0xe1,0xe9,0xd0},
      {0xe2,0xea,0xd3},{0xe4,0xec,0xd5},{0xe6,0xed,0xd8},{0xe8,0xee,0xdb},
      {0xea,0xf0,0xde},{0xec,0xf1,0xe1},{0xee,0xf2,0xe4},{0xf0,0xf4,0xe7},
      {0xf1,0xf5,0xea},{0xf3,0xf6,0xed},{0xf5,0xf8,0xf0},{0xf7,0xf9,0xf3},
      {0xf9,0xfa,0xf6},{0xfb,0xfc,0xf9},{0xfd,0xfd,0xfc},{0x01,0x00,0x00}
    }
  },
  /* green_pink */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x00,0x00},{0x00,0x00,0x00},{0x00,0x00,0x00},
      {0x00,0x0e,0x00},{0x00,0x1c,0x00},{0x00,0x2b,0x00},{0x00,0x39,0x00},
      {0x00,0x48,0x00},{0x00,0x51,0x00},{0x00,0x5a,0x00},{0x00,0x63,0x00},
      {0x00,0x6c,0x00},{0x00,0x75,0x00},{0x00,0x7e,0x00},{0x00,0x87,0x00},
      {0x00,0x90,0x00},{0x00,0x99,0x00},{0x00,0xa2,0x00},{0x00,0xab,0x00},
      {0x00,0xb4,0x00},{0x00,0xb3,0x01},{0x00,0xb2,0x03},{0x00,0xb1,0x04},
      {0x00,0xb0,0x06},{0x00,0xaf,0x08},{0x00,0xae,0x0a},{0x00,0xad,0x0c},
      {0x00,0xac,0x0e},{0x00,0xab,0x0f},{0x00,0xaa,0x11},{0x00,0xa9,0x13},
      {0x00,0xa8,0x15},{0x00,0xa7,0x17},{0x00,0xa6,0x19},{0x00,0xa5,0x1b},
      {0x00,0xa4,0x1d},{0x00,0xa3,0x1f},{0x00,0xa2,0x21},{0x00,0xa1,0x23},
      {0x00,0xa0,0x25},{0x00,0x9f,0x26},{0x00,0x9e,0x28},{0x00,0x9d,0x2a},
      {0x00,0x9c,0x2c},{0x00,0x9a,0x2e},{0x00,0x98,0x30},{0x00,0x96,0x32},
      {0x00,0x94,0x35},{0x00,0x93,0x36},{0x00,0x92,0x38},{0x00,0x91,0x3a},
      {0x00,0x90,0x3c},{0x00,0x8f,0x3e},{0x00,0x8e,0x40},{0x00,0x8d,0x42},
      {0x00,0x8c,0x44},{0x00,0x8b,0x45},{0x00,0x8a,0x47},{0x00,0x89,0x49},
      {0x00,0x88,0x4b},{0x00,0x87,0x4d},{0x00,0x86,0x4f},{0x00,0x85,0x51},
      {0x00,0x84,0x53},{0x00,0x83,0x54},{0x00,0x82,0x56},{0x00,0x81,0x58},
      {0x00,0x80,0x5a},{0x00,0x7e,0x5c},{0x00,0x7c,0x5e},{0x00,0x7a,0x60},
      {0x00,0x78,0x63},{0x00,0x77,0x64},{0x00,0x76,0x66},{0x00,0x75,0x68},
      {0x00,0x74,0x6a},{0x00,0x73,0x6c},{0x00,0x72,0x6e},{0x00,0x71,0x70},
      {0x00,0x70,0x72},{0x00,0x6f,0x74},{0x00,0x6e,0x76},{0x00,0x6d,0x78},
      {0x00,0x6c,0x7a},{0x00,0x6b,0x7b},{0x00,0x6a,0x7d},{0x00,0x69,0x7f},
      {0x00,0x68,0x81},{0x00,0x67,0x83},{0x00,0x66,0x85},{0x00,0x65,0x87},
      {0x00,0x64,0x89},{0x00,0x63,0x8a},{0x00,0x62,0x8c},{0x00,0x61,0x8e},
      {0x00,0x60,0x90},{0x00,0x5e,0x92},{0x00,0x5c,0x94},{0x00,0x5a,0x96},
      {0x00,0x58,0x99},{0x00,0x57,0x9a},{0x00,0x56,0x9c},{0x00,0x55,0x9e},
      {0x00,0x54,0xa0},{0x00,0x53,0xa2},{0x00,0x52,0xa4},{0x00,0x51,0xa6},
      {0x00,0x50,0xa8},{0x00,0x4f,0xaa},{0x00,0x4e,0xac},{0x00,0x4d,0xae},
      {0x00,0x4c,0xb0},{0x00,0x4b,0xb1},{0x00,0x4a,0xb3},{0x00,0x49,0xb5},
      {0x00,0x48,0xb7},{0x00,0x47,0xb9},{0x00,0x46,0xbb},{0x00,0x45,0xbd},
      {0x00,0x44,0xbf},{0x00,0x42,0xc1},{0x00,0x40,0xc3},{0x00,0x3e,0xc5},
      {0x00,0x3c,0xc7},{0x05,0x3b,0xc7},{0x0a,0x3a,0xc6},{0x0f,0x39,0xc5},
      {0x14,0x38,0xc4},{0x19,0x36,0xc4},{0x1e,0x34,0xc4},{0x23,0x32,0xc4},
      {0x28,0x30,0xc3},{0x2d,0x2f,0xc3},{0x32,0x2e,0xc2},{0x37,0x2d,0xc1},
      {0x3c,0x2c,0xc0},{0x41,0x2a,0xc0},{0x46,0x28,0xbf},{0x4b,0x26,0xbf},
      {0x50,0x24,0xbe},{0x54,0x22,0xbe},{0x58,0x20,0xbe},{0x5c,0x1e,0xbe},
      {0x60,0x1c,0xbe},{0x65,0x1a,0xbe},{0x6a,0x18,0xbe},{0x6f,0x16,0xbe},
      {0x74,0x14,0xbd},{0x79,0x13,0xbd},{0x7e,0x12,0xbc},{0x83,0x11,0xbb},
      {0x88,0x10,0xba},{0x8d,0x0e,0xba},{0x92,0x0c,0xb9},{0x97,0x0a,0xb9},
      {0x9c,0x08,0xb8},{0x9f,0x06,0xb8},{0xa2,0x04,0xb9},{0xa5,0x02,0xba},
      {0xa8,0x00,0xbb},{0xab,0x00,0xbb},{0xae,0x00,0xbb},{0xb1,0x00,0xbb},
      {0xb4,0x00,0xbb},{0xb7,0x00,0xbb},{0xba,0x00,0xbb},{0xbd,0x00,0xbb},
      {0xc0,0x00,0xbc},{0xc3,0x00,0xbc},{0xc6,0x00,0xbc},{0xc9,0x00,0xbc},
      {0xcc,0x00,0xbd},{0xcf,0x00,0xbd},{0xd2,0x00,0xbd},{0xd5,0x00,0xbd},
      {0xd8,0x00,0xbd},{0xdb,0x00,0xbd},{0xde,0x00,0xbd},{0xe1,0x00,0xbd},
      {0xe4,0x00,0xbe},{0xe7,0x00,0xbe},{0xea,0x00,0xbe},{0xed,0x00,0xbe},
      {0xf0,0x00,0xbf},{0xf3,0x00,0xbf},{0xf6,0x00,0xbf},{0xf9,0x00,0xbf},
      {0xfc,0x00,0xbf},{0xfc,0x04,0xc0},{0xfc,0x08,0xc1},{0xfc,0x0c,0xc2},
      {0xfc,0x10,0xc3},{0xfc,0x14,0xc4},{0xfc,0x18,0xc5},{0xfc,0x1c,0xc6},
      {0xfc,0x20,0xc7},{0xfc,0x24,0xc8},{0xfc,0x28,0xc9},{0xfc,0x2c,0xca},
      {0xfc,0x30,0xcb},{0xfc,0x34,0xcb},{0xfc,0x38,0xcc},{0xfc,0x3c,0xcd},
      {0xfc,0x40,0xce},{0xfc,0x44,0xcf},{0xfc,0x48,0xd0},{0xfc,0x4c,0xd1},
      {0xfc,0x50,0xd2},{0xfc,0x54,0xd3},{0xfc,0x58,0xd4},{0xfc,0x5c,0xd5},
      {0xfc,0x60,0xd6},{0xfc,0x64,0xd6},{0xfc,0x68,0xd7},{0xfc,0x6c,0xd8},
      {0xfc,0x70,0xd9},{0xfc,0x74,0xda},{0xfc,0x78,0xdb},{0xfc,0x7c,0xdc},
      {0xfc,0x80,0xdd},{0xfc,0x84,0xde},{0xfc,0x88,0xdf},{0xfc,0x8c,0xe0},
      {0xfc,0x90,0xe1},{0xfc,0x93,0xe2},{0xfc,0x96,0xe3},{0xfc,0x99,0xe4},
      {0xfc,0x9c,0xe5},{0xfc,0xa0,0xe6},{0xfc,0xa4,0xe7},{0xfc,0xa8,0xe8},
      {0xfc,0xac,0xe9},{0xfc,0xb0,0xea},{0xfc,0xb4,0xeb},{0xfc,0xb8,0xec},
      {0xfc,0xbc,0xed},{0xfc,0xc0,0xed},{0xfc,0xc4,0xee},{0xfc,0xc8,0xef},
      {0xfc,0xcc,0xf0},{0xfc,0xd0,0xf1},{0xfc,0xd4,0xf2},{0xfc,0xd8,0xf3},
      {0xfc,0xdc,0xf4},{0xfc,0xe0,0xf5},{0xfc,0xe4,0xf6},{0xfc,0xe8,0xf7},
      {0xfc,0xec,0xf8},{0xfc,0xf0,0xf9},{0xfc,0xf4,0xfa},{0xfc,0xf8,0xfb},
      {0xfc,0xfc,0xfc},{0xfd,0xfd,0xfd},{0xfe,0xfe,0xfe},{0x00,0x00,0x00}
    }
  },
  /* blue_red */
  { 0,
    { {0x00,0x00,0x00},{0x00,0x01,0x01},{0x00,0x02,0x02},{0x00,0x03,0x03},
      {0x00,0x04,0x04},{0x00,0x08,0x08},{0x00,0x0c,0x0c},{0x00,0x10,0x10},
      {0x00,0x15,0x15},{0x00,0x19,0x19},{0x00,0x1d,0x1d},{0x00,0x21,0x21},
      {0x00,0x26,0x26},{0x00,0x2a,0x2a},{0x00,0x2e,0x2e},{0x00,0x32,0x32},
      {0x00,0x37,0x37},{0x00,0x3b,0x3b},{0x00,0x3f,0x3f},{0x00,0x43,0x43},
      {0x00,0x48,0x48},{0x00,0x4c,0x4c},{0x00,0x50,0x50},{0x00,0x54,0x54},
      {0x00,0x59,0x59},{0x00,0x5d,0x5d},{0x00,0x61,0x61},{0x00,0x65,0x65},
      {0x00,0x6a,0x6a},{0x00,0x6e,0x6e},{0x00,0x72,0x72},{0x00,0x76,0x76},
      {0x00,0x7b,0x7b},{0x00,0x7f,0x7f},{0x00,0x83,0x83},{0x00,0x87,0x87},
      {0x00,0x8c,0x8c},{0x00,0x90,0x90},{0x00,0x94,0x94},{0x00,0x98,0x98},
      {0x00,0x9d,0x9d},{0x00,0xa1,0xa1},{0x00,0xa5,0xa5},{0x00,0xa9,0xa9},
      {0x00,0xae,0xae},{0x00,0xb2,0xb2},{0x00,0xb6,0xb6},{0x00,0xba,0xba},
      {0x00,0xbf,0xbf},{0x00,0xc3,0xc3},{0x00,0xc7,0xc7},{0x00,0xcb,0xcb},
      {0x00,0xd0,0xd0},{0x00,0xd4,0xd4},{0x00,0xd8,0xd8},{0x00,0xdc,0xdc},
      {0x00,0xe1,0xe1},{0x00,0xe5,0xe5},{0x00,0xe9,0xe9},{0x00,0xed,0xed},
      {0x00,0xf2,0xf2},{0x00,0xf6,0xf6},{0x00,0xfa,0xfa},{0x00,0xff,0xff},
      {0x00,0xff,0xff},{0x00,0xfb,0xff},{0x00,0xf7,0xff},{0x00,0xf3,0xff},
      {0x00,0xef,0xff},{0x00,0xeb,0xff},{0x00,0xe7,0xff},{0x00,0xe3,0xff},
      {0x00,0xdf,0xff},{0x00,0xdb,0xff},{0x00,0xd7,0xff},{0x00,0xd3,0xff},
      {0x00,0xcf,0xff},{0x00,0xcb,0xff},{0x00,0xc7,0xff},{0x00,0xc3,0xff},
      {0x00,0xbf,0xff},{0x00,0xbb,0xff},{0x00,0xb7,0xff},{0x00,0xb3,0xff},
      {0x00,0xaf,0xff},{0x00,0xaa,0xff},{0x00,0xa6,0xff},{0x00,0xa2,0xff},
      {0x00,0x9e,0xff},{0x00,0x9a,0xff},{0x00,0x96,0xff},{0x00,0x92,0xff},
      {0x00,0x8e,0xff},{0x00,0x8a,0xff},{0x00,0x86,0xff},{0x00,0x82,0xff},
      {0x00,0x7e,0xff},{0x00,0x7a,0xff},{0x00,0x76,0xff},{0x00,0x72,0xff},
      {0x00,0x6e,0xff},{0x00,0x6a,0xff},{0x00,0x66,0xff},{0x00,0x62,0xff},
      {0x00,0x5e,0xff},{0x00,0x5a,0xff},{0x00,0x55,0xff},{0x00,0x51,0xff},
      {0x00,0x4d,0xff},{0x00,0x49,0xff},{0x00,0x45,0xff},{0x00,0x41,0xff},
      {0x00,0x3d,0xff},{0x00,0x39,0xff},{0x00,0x35,0xff},{0x00,0x31,0xff},
      {0x00,0x2d,0xff},{0x00,0x29,0xff},{0x00,0x25,0xff},{0x00,0x21,0xff},
      {0x00,0x1d,0xff},{0x00,0x19,0xff},{0x00,0x15,0xff},{0x00,0x11,0xff},
      {0x00,0x0d,0xff},{0x00,0x09,0xff},{0x00,0x05,0xff},{0x00,0x00,0xff},
      {0x00,0x00,0xff},{0x04,0x00,0xff},{0x08,0x00,0xff},{0x0c,0x00,0xff},
      {0x10,0x00,0xff},{0x14,0x00,0xff},{0x18,0x00,0xff},{0x1c,0x00,0xff},
      {0x20,0x00,0xff},{0x24,0x00,0xff},{0x28,0x00,0xff},{0x2c,0x00,0xff},
      {0x30,0x00,0xff},{0x34,0x00,0xff},{0x38,0x00,0xff},{0x3c,0x00,0xff},
      {0x40,0x00,0xff},{0x44,0x00,0xff},{0x48,0x00,0xff},{0x4c,0x00,0xff},
      {0x50,0x00,0xff},{0x55,0x00,0xff},{0x59,0x00,0xff},{0x5d,0x00,0xff},
      {0x61,0x00,0xff},{0x65,0x00,0xff},{0x69,0x00,0xff},{0x6d,0x00,0xff},
      {0x71,0x00,0xff},{0x75,0x00,0xff},{0x79,0x00,0xff},{0x7d,0x00,0xff},
      {0x81,0x00,0xff},{0x85,0x00,0xff},{0x89,0x00,0xff},{0x8d,0x00,0xff},
      {0x91,0x00,0xff},{0x95,0x00,0xff},{0x99,0x00,0xff},{0x9d,0x00,0xff},
      {0xa1,0x00,0xff},{0xa5,0x00,0xff},{0xaa,0x00,0xff},{0xae,0x00,0xff},
      {0xb2,0x00,0xff},{0xb6,0x00,0xff},{0xba,0x00,0xff},{0xbe,0x00,0xff},
      {0xc2,0x00,0xff},{0xc6,0x00,0xff},{0xca,0x00,0xff},{0xce,0x00,0xff},
      {0xd2,0x00,0xff},{0xd6,0x00,0xff},{0xda,0x00,0xff},{0xde,0x00,0xff},
      {0xe2,0x00,0xff},{0xe6,0x00,0xff},{0xea,0x00,0xff},{0xee,0x00,0xff},
      {0xf2,0x00,0xff},{0xf6,0x00,0xff},{0xfa,0x00,0xff},{0xff,0x00,0xff},
      {0xff,0x00,0xff},{0xff,0x00,0xfb},{0xff,0x00,0xf7},{0xff,0x00,0xf3},
      {0xff,0x00,0xef},{0xff,0x00,0xeb},{0xff,0x00,0xe7},{0xff,0x00,0xe3},
      {0xff,0x00,0xdf},{0xff,0x00,0xda},{0xff,0x00,0xd6},{0xff,0x00,0xd2},
      {0xff,0x00,0xce},{0xff,0x00,0xca},{0xff,0x00,0xc6},{0xff,0x00,0xc2},
      {0xff,0x00,0xbe},{0xff,0x00,0xba},{0xff,0x00,0xb5},{0xff,0x00,0xb1},
      {0xff,0x00,0xad},{0xff,0x00,0xa9},{0xff,0x00,0xa5},{0xff,0x00,0xa1},
      {0xff,0x00,0x9d},{0xff,0x00,0x99},{0xff,0x00,0x95},{0xff,0x00,0x90},
      {0xff,0x00,0x8c},{0xff,0x00,0x88},{0xff,0x00,0x84},{0xff,0x00,0x80},
      {0xff,0x00,0x7c},{0xff,0x00,0x78},{0xff,0x00,0x74},{0xff,0x00,0x70},
      {0xff,0x00,0x6b},{0xff,0x00,0x67},{0xff,0x00,0x63},{0xff,0x00,0x5f},
      {0xff,0x00,0x5b},{0xff,0x00,0x57},{0xff,0x00,0x53},{0xff,0x00,0x4f},
      {0xff,0x00,0x4b},{0xff,0x00,0x46},{0xff,0x00,0x42},{0xff,0x00,0x3e},
      {0xff,0x00,0x3a},{0xff,0x00,0x36},{0xff,0x00,0x32},{0xff,0x00,0x2e},
      {0xff,0x00,0x2a},{0xff,0x00,0x26},{0xff,0x00,0x21},{0xff,0x00,0x1d},
      {0xff,0x00,0x19},{0xff,0x00,0x15},{0xff,0x00,0x11},{0xff,0x00,0x0d},
      {0xff,0x00,0x09},{0xff,0x00,0x05},{0xff,0x00,0x00},{0x00,0x00,0x00}
    }
  },
  /* 16_level */
  { F_DIRECT,
    { {0x00,0x00,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},
      {0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},
      {0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},
      {0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},{0x00,0x54,0x00},
      {0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},
      {0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},
      {0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},
      {0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},{0x00,0xa8,0x00},
      {0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},
      {0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},
      {0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},
      {0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},{0x00,0xff,0x00},
      {0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},
      {0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},
      {0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},
      {0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},{0x00,0xff,0x54},
      {0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},
      {0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},
      {0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},
      {0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},{0x00,0xff,0xa8},
      {0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},
      {0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},
      {0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},
      {0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},{0x00,0xff,0xff},
      {0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},
      {0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},
      {0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},
      {0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},{0x00,0x00,0xff},
      {0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},
      {0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},
      {0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},
      {0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},{0x80,0x00,0xff},
      {0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},
      {0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},
      {0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},
      {0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},{0xff,0x00,0xdc},
      {0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},
      {0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},
      {0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},
      {0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},{0xff,0x00,0xb4},
      {0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},
      {0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},
      {0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},
      {0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},{0xff,0x00,0x80},
      {0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},
      {0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},
      {0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},
      {0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},{0xff,0x00,0x40},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},
      {0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},{0xff,0x00,0x00},
      {0xdc,0xbe,0xbe},{0xdc,0xbe,0xbe},{0xdc,0xbe,0xbe},{0xdc,0xbe,0xbe},
      {0xdc,0xbe,0xbe},{0xdd,0xbe,0xbe},{0xdd,0xbe,0xbe},{0xdd,0xbe,0xbe},
      {0xdd,0xbe,0xbe},{0xdd,0xbe,0xbe},{0xde,0xbe,0xbe},{0xde,0xbe,0xbe},
      {0xde,0xbe,0xbe},{0xde,0xbe,0xbe},{0xde,0xbe,0xbe},{0xdf,0xbe,0xbe},
      {0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},
      {0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},
      {0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},
      {0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},{0xdc,0xdc,0xdc},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},
      {0xff,0xff,0xff},{0xff,0xff,0xff},{0xff,0xff,0xff},{0x00,0x00,0x00}
    }
  },
  /* rainbow */
  { 0,
    { {0x00,0x00,0x00},{0x04,0x00,0x03},{0x09,0x00,0x07},{0x0d,0x00,0x0a},
      {0x12,0x00,0x0e},{0x16,0x00,0x13},{0x1b,0x00,0x17},{0x1f,0x00,0x1c},
      {0x24,0x00,0x20},{0x28,0x00,0x26},{0x2d,0x00,0x2b},{0x32,0x00,0x30},
      {0x36,0x00,0x35},{0x3a,0x00,0x3b},{0x3d,0x00,0x3f},{0x40,0x00,0x44},
      {0x44,0x00,0x48},{0x45,0x00,0x4d},{0x48,0x00,0x51},{0x4a,0x00,0x56},
      {0x4d,0x00,0x5b},{0x4f,0x00,0x5f},{0x50,0x00,0x64},{0x52,0x00,0x68},
      {0x53,0x00,0x6d},{0x55,0x00,0x71},{0x54,0x00,0x76},{0x56,0x00,0x7a},
      {0x57,0x00,0x7f},{0x58,0x00,0x84},{0x56,0x00,0x88},{0x57,0x00,0x8d},
      {0x57,0x00,0x91},{0x57,0x00,0x96},{0x55,0x00,0x9a},{0x54,0x00,0x9f},
      {0x54,0x00,0xa3},{0x54,0x00,0xa8},{0x53,0x00,0xad},{0x4f,0x00,0xb1},
      {0x4e,0x00,0xb6},{0x4d,0x00,0xba},{0x4c,0x00,0xbf},{0x47,0x00,0xc3},
      {0x46,0x00,0xc8},{0x44,0x00,0xcc},{0x42,0x00,0xd1},{0x3c,0x00,0xd6},
      {0x3a,0x00,0xda},{0x37,0x00,0xdf},{0x35,0x00,0xe3},{0x2e,0x00,0xe8},
      {0x2b,0x00,0xec},{0x28,0x00,0xf1},{0x24,0x00,0xf5},{0x21,0x00,0xfa},
      {0x19,0x00,0xff},{0x15,0x00,0xff},{0x10,0x00,0xff},{0x0c,0x00,0xff},
      {0x04,0x00,0xff},{0x00,0x00,0xff},{0x00,0x04,0xff},{0x00,0x08,0xff},
      {0x00,0x10,0xff},{0x00,0x15,0xff},{0x00,0x19,0xff},{0x00,0x1d,0xff},
      {0x00,0x26,0xff},{0x00,0x2a,0xff},{0x00,0x2e,0xff},{0x00,0x33,0xff},
      {0x00,0x37,0xff},{0x00,0x3f,0xff},{0x00,0x43,0xff},{0x00,0x48,0xff},
      {0x00,0x4c,0xff},{0x00,0x54,0xff},{0x00,0x59,0xff},{0x00,0x5d,0xff},
      {0x00,0x61,0xff},{0x00,0x6a,0xff},{0x00,0x6e,0xff},{0x00,0x72,0xff},
      {0x00,0x77,0xff},{0x00,0x7f,0xff},{0x00,0x83,0xff},{0x00,0x87,0xff},
      {0x00,0x8c,0xff},{0x00,0x90,0xff},{0x00,0x98,0xff},{0x00,0x9d,0xff},
      {0x00,0xa1,0xff},{0x00,0xa5,0xff},{0x00,0xae,0xff},{0x00,0xb2,0xff},
      {0x00,0xb6,0xff},{0x00,0xbb,0xff},{0x00,0xc3,0xff},{0x00,0xc7,0xff},
      {0x00,0xcb,0xff},{0x00,0xd0,0xff},{0x00,0xd8,0xff},{0x00,0xdc,0xff},
      {0x00,0xe1,0xff},{0x00,0xe5,0xff},{0x00,0xe9,0xff},{0x00,0xf2,0xff},
      {0x00,0xf6,0xff},{0x00,0xfa,0xff},{0x00,0xff,0xff},{0x00,0xff,0xf6},
      {0x00,0xff,0xf2},{0x00,0xff,0xee},{0x00,0xff,0xe9},{0x00,0xff,0xe1},
      {0x00,0xff,0xdc},{0x00,0xff,0xd8},{0x00,0xff,0xd4},{0x00,0xff,0xcb},
      {0x00,0xff,0xc7},{0x00,0xff,0xc3},{0x00,0xff,0xbf},{0x00,0xff,0xbb},
      {0x00,0xff,0xb2},{0x00,0xff,0xae},{0x00,0xff,0xaa},{0x00,0xff,0xa5},
      {0x00,0xff,0x9d},{0x00,0xff,0x98},{0x00,0xff,0x94},{0x00,0xff,0x90},
      {0x00,0xff,0x87},{0x00,0xff,0x83},{0x00,0xff,0x7f},{0x00,0xff,0x7b},
      {0x00,0xff,0x72},{0x00,0xff,0x6e},{0x00,0xff,0x6a},{0x00,0xff,0x66},
      {0x00,0xff,0x61},{0x00,0xff,0x59},{0x00,0xff,0x54},{0x00,0xff,0x50},
      {0x00,0xff,0x4c},{0x00,0xff,0x43},{0x00,0xff,0x3f},{0x00,0xff,0x3b},
      {0x00,0xff,0x37},{0x00,0xff,0x2e},{0x00,0xff,0x2a},{0x00,0xff,0x26},
      {0x00,0xff,0x22},{0x00,0xff,0x19},{0x00,0xff,0x15},{0x00,0xff,0x10},
      {0x00,0xff,0x0c},{0x00,0xff,0x08},{0x00,0xff,0x00},{0x04,0xff,0x00},
      {0x08,0xff,0x00},{0x0c,0xff,0x00},{0x15,0xff,0x00},{0x19,0xff,0x00},
      {0x1d,0xff,0x00},{0x21,0xff,0x00},{0x2a,0xff,0x00},{0x2e,0xff,0x00},
      {0x33,0xff,0x00},{0x37,0xff,0x00},{0x3f,0xff,0x00},{0x43,0xff,0x00},
      {0x48,0xff,0x00},{0x4c,0xff,0x00},{0x50,0xff,0x00},{0x59,0xff,0x00},
      {0x5d,0xff,0x00},{0x61,0xff,0x00},{0x65,0xff,0x00},{0x6e,0xff,0x00},
      {0x72,0xff,0x00},{0x77,0xff,0x00},{0x7b,0xff,0x00},{0x83,0xff,0x00},
      {0x87,0xff,0x00},{0x8c,0xff,0x00},{0x90,0xff,0x00},{0x99,0xff,0x00},
      {0x9d,0xff,0x00},{0xa1,0xff,0x00},{0xa5,0xff,0x00},{0xa9,0xff,0x00},
      {0xb2,0xff,0x00},{0xb6,0xff,0x00},{0xbb,0xff,0x00},{0xbf,0xff,0x00},
      {0xc7,0xff,0x00},{0xcb,0xff,0x00},{0xd0,0xff,0x00},{0xd4,0xff,0x00},
      {0xdd,0xff,0x00},{0xe1,0xff,0x00},{0xe5,0xff,0x00},{0xe9,0xff,0x00},
      {0xf2,0xff,0x00},{0xf6,0xff,0x00},{0xfa,0xff,0x00},{0xff,0xff,0x00},
      {0xff,0xfa,0x00},{0xff,0xf2,0x00},{0xff,0xee,0x00},{0xff,0xe9,0x00},
      {0xff,0xe5,0x00},{0xff,0xdd,0x00},{0xff,0xd8,0x00},{0xff,0xd4,0x00},
      {0xff,0xd0,0x00},{0xff,0xc7,0x00},{0xff,0xc3,0x00},{0xff,0xbf,0x00},
      {0xff,0xbb,0x00},{0xff,0xb2,0x00},{0xff,0xae,0x00},{0xff,0xaa,0x00},
      {0xff,0xa5,0x00},{0xff,0xa1,0x00},{0xff,0x99,0x00},{0xff,0x94,0x00},
      {0xff,0x90,0x00},{0xff,0x8c,0x00},{0xff,0x83,0x00},{0xff,0x7f,0x00},
      {0xff,0x7b,0x00},{0xff,0x77,0x00},{0xff,0x6e,0x00},{0xff,0x6a,0x00},
      {0xff,0x66,0x00},{0xff,0x61,0x00},{0xff,0x59,0x00},{0xff,0x55,0x00},
      {0xff,0x50,0x00},{0xff,0x4c,0x00},{0xff,0x48,0x00},{0xff,0x3f,0x00},
      {0xff,0x3b,0x00},{0xff,0x37,0x00},{0xff,0x33,0x00},{0xff,0x2a,0x00},
      {0xff,0x26,0x00},{0xff,0x22,0x00},{0xff,0x1d,0x00},{0xff,0x15,0x00},
      {0xff,0x11,0x00},{0xff,0x0c,0x00},{0xff,0x08,0x00},{0x00,0x00,0x00}
    }
  },
  /* steps */
  { F_DIRECT,
    { {0x00,0x00,0x00},{0x00,0x2a,0x00},{0x00,0x55,0x00},{0x00,0x7f,0x00},
      {0x00,0xaa,0x00},{0x00,0xd4,0x00},{0x00,0xff,0x00},{0x00,0xf6,0x00},
      {0x00,0xec,0x00},{0x00,0xe2,0x00},{0x00,0xd8,0x00},{0x00,0xce,0x00},
      {0x00,0xc5,0x00},{0x00,0xbb,0x00},{0x00,0xb1,0x00},{0x00,0xa7,0x00},
      {0x00,0x9d,0x00},{0x00,0x94,0x00},{0x00,0x8a,0x00},{0x00,0x80,0x00},
      {0x00,0x76,0x00},{0x00,0x6c,0x00},{0x00,0x63,0x00},{0x00,0x59,0x00},
      {0x00,0x4f,0x00},{0x00,0x45,0x00},{0x00,0x3b,0x00},{0x00,0x32,0x00},
      {0x00,0x28,0x00},{0x00,0x1e,0x00},{0x00,0x14,0x00},{0x00,0x0a,0x00},
      {0x00,0x00,0x00},{0x00,0x00,0x08},{0x00,0x00,0x10},{0x00,0x00,0x18},
      {0x00,0x00,0x20},{0x00,0x00,0x29},{0x00,0x00,0x31},{0x00,0x00,0x39},
      {0x00,0x00,0x41},{0x00,0x00,0x4a},{0x00,0x00,0x52},{0x00,0x00,0x5a},
      {0x00,0x00,0x62},{0x00,0x00,0x6a},{0x00,0x00,0x73},{0x00,0x00,0x7b},
      {0x00,0x00,0x83},{0x00,0x00,0x8b},{0x00,0x00,0x94},{0x00,0x00,0x9c},
      {0x00,0x00,0xa4},{0x00,0x00,0xac},{0x00,0x00,0xb4},{0x00,0x00,0xbd},
      {0x00,0x00,0xc5},{0x00,0x00,0xcd},{0x00,0x00,0xd5},{0x00,0x00,0xde},
      {0x00,0x00,0xe6},{0x00,0x00,0xee},{0x00,0x00,0xf6},{0x00,0x00,0xff},
      {0x00,0x00,0x00},{0x07,0x00,0x05},{0x0f,0x00,0x0a},{0x17,0x00,0x0f},
      {0x1f,0x00,0x15},{0x27,0x00,0x1a},{0x2f,0x00,0x1f},{0x37,0x00,0x25},
      {0x3f,0x00,0x2a},{0x46,0x00,0x2f},{0x4e,0x00,0x35},{0x56,0x00,0x3a},
      {0x5e,0x00,0x3f},{0x66,0x00,0x45},{0x6e,0x00,0x4a},{0x76,0x00,0x4f},
      {0x7e,0x00,0x55},{0x86,0x00,0x59},{0x8e,0x00,0x5e},{0x97,0x00,0x62},
      {0x9f,0x00,0x67},{0xa8,0x00,0x6c},{0xb0,0x00,0x70},{0xb8,0x00,0x75},
      {0xc1,0x00,0x79},{0xc9,0x00,0x7e},{0xd2,0x00,0x83},{0xda,0x00,0x87},
      {0xe2,0x00,0x8c},{0xeb,0x00,0x90},{0xf3,0x00,0x95},{0xfc,0x00,0x9a},
      {0x00,0x00,0x00},{0x01,0x00,0x00},{0x02,0x00,0x00},{0x03,0x00,0x00},
      {0x04,0x00,0x00},{0x05,0x00,0x00},{0x06,0x00,0x00},{0x07,0x00,0x00},
      {0x08,0x00,0x00},{0x09,0x00,0x00},{0x0a,0x00,0x00},{0x0b,0x00,0x00},
      {0x0c,0x00,0x00},{0x0e,0x00,0x00},{0x10,0x00,0x00},{0x12,0x00,0x00},
      {0x14,0x00,0x00},{0x17,0x00,0x00},{0x19,0x00,0x00},{0x1b,0x00,0x00},
      {0x1d,0x00,0x00},{0x20,0x00,0x00},{0x22,0x00,0x00},{0x24,0x00,0x00},
      {0x26,0x00,0x00},{0x29,0x00,0x00},{0x2c,0x00,0x00},{0x2f,0x00,0x00},
      {0x32,0x00,0x00},{0x35,0x00,0x00},{0x38,0x00,0x00},{0x3b,0x00,0x00},
      {0x3f,0x00,0x00},{0x42,0x00,0x00},{0x45,0x00,0x00},{0x48,0x00,0x00},
      {0x4b,0x00,0x00},{0x4e,0x00,0x00},{0x52,0x00,0x01},{0x55,0x00,0x01},
      {0x59,0x00,0x01},{0x5d,0x00,0x01},{0x61,0x00,0x01},{0x65,0x00,0x01},
      {0x69,0x00,0x01},{0x6c,0x00,0x01},{0x70,0x00,0x01},{0x74,0x00,0x01},
      {0x78,0x00,0x01},{0x7c,0x00,0x01},{0x80,0x01,0x01},{0x83,0x01,0x01},
      {0x87,0x01,0x01},{0x8b,0x01,0x01},{0x8f,0x01,0x01},{0x93,0x01,0x01},
      {0x97,0x01,0x01},{0x9b,0x01,0x01},{0x9f,0x01,0x01},{0xa3,0x01,0x01},
      {0xa7,0x01,0x01},{0xab,0x01,0x01},{0xaf,0x01,0x01},{0xb2,0x01,0x01},
      {0xb5,0x01,0x01},{0xb9,0x01,0x01},{0xbc,0x01,0x01},{0xc0,0x01,0x01},
      {0xc3,0x01,0x01},{0xc6,0x01,0x01},{0xca,0x01,0x01},{0xcd,0x01,0x01},
      {0xd1,0x01,0x01},{0xd4,0x01,0x01},{0xd8,0x01,0x02},{0xda,0x01,0x02},
      {0xdc,0x01,0x02},{0xdf,0x01,0x02},{0xe1,0x01,0x02},{0xe3,0x01,0x02},
      {0xe6,0x01,0x02},{0xe8,0x01,0x02},{0xea,0x01,0x02},{0xed,0x01,0x02},
      {0xef,0x01,0x02},{0xf1,0x01,0x02},{0xf4,0x02,0x02},{0xf4,0x02,0x02},
      {0xf5,0x02,0x02},{0xf6,0x02,0x02},{0xf7,0x02,0x02},{0xf7,0x02,0x02},
      {0xf8,0x02,0x02},{0xf9,0x02,0x02},{0xfa,0x02,0x02},{0xfa,0x02,0x02},
      {0xfb,0x02,0x02},{0xfc,0x02,0x02},{0xfd,0x02,0x02},{0xfe,0x01,0x02},
      {0xfe,0x01,0x02},{0xfe,0x03,0x02},{0xfe,0x05,0x02},{0xfe,0x08,0x02},
      {0xfe,0x0a,0x02},{0xfe,0x0c,0x02},{0xfe,0x0f,0x02},{0xfe,0x11,0x02},
      {0xfe,0x13,0x02},{0xfe,0x16,0x02},{0xfe,0x18,0x02},{0xfe,0x1a,0x02},
      {0xfe,0x1d,0x02},{0xfe,0x1f,0x02},{0xfe,0x21,0x02},{0xfe,0x24,0x02},
      {0xfe,0x24,0x02},{0xfe,0x26,0x03},{0xfe,0x28,0x04},{0xfe,0x2a,0x05},
      {0xff,0x2d,0x07},{0xff,0x30,0x09},{0xff,0x33,0x0c},{0xff,0x36,0x0e},
      {0xff,0x3a,0x11},{0xff,0x3d,0x14},{0xff,0x40,0x17},{0xff,0x43,0x1b},
      {0xff,0x46,0x1e},{0xff,0x49,0x22},{0xff,0x4d,0x27},{0xff,0x52,0x2c},
      {0xff,0x57,0x31},{0xff,0x5c,0x37},{0xff,0x60,0x3c},{0xff,0x64,0x41},
      {0xff,0x68,0x47},{0xff,0x6c,0x4c},{0xff,0x71,0x52},{0xff,0x77,0x59},
      {0xff,0x7d,0x61},{0xff,0x83,0x68},{0xff,0x8a,0x70},{0xff,0x90,0x78},
      {0xff,0x97,0x80},{0xff,0x9d,0x88},{0xff,0xa4,0x91},{0xff,0xab,0x99},
      {0xff,0xb2,0xa2},{0xff,0xb9,0xab},{0xff,0xc1,0xb4},{0xff,0xc8,0xbd},
      {0xff,0xd0,0xc6},{0xff,0xd7,0xcf},{0xff,0xdf,0xd9},{0xff,0xe5,0xe0},
      {0xff,0xeb,0xe8},{0xff,0xf2,0xef},{0xff,0xf8,0xf7},{0x00,0x00,0x00}
    }
  },
  /* stern_special */
  { F_DIRECT,
    { {0x00,0x00,0x00},{0x12,0x01,0x01},{0x24,0x02,0x03},{0x36,0x03,0x05},
      {0x48,0x04,0x07},{0x5a,0x05,0x09},{0x6c,0x06,0x0b},{0x7f,0x07,0x0d},
      {0x91,0x08,0x0f},{0xa3,0x09,0x11},{0xb5,0x0a,0x13},{0xc7,0x0b,0x15},
      {0xd9,0x0c,0x17},{0xeb,0x0d,0x19},{0xfe,0x0e,0x1b},{0xf9,0x0f,0x1d},
      {0xf4,0x10,0x1f},{0xef,0x11,0x21},{0xea,0x12,0x23},{0xe5,0x13,0x25},
      {0xdf,0x14,0x27},{0xda,0x15,0x29},{0xd5,0x16,0x2b},{0xd0,0x17,0x2d},
      {0xcb,0x18,0x2f},{0xc5,0x19,0x31},{0xc0,0x1a,0x33},{0xbb,0x1b,0x35},
      {0xb6,0x1c,0x37},{0xb1,0x1d,0x39},{0xac,0x1e,0x3b},{0xa6,0x1f,0x3d},
      {0xa1,0x20,0x3f},{0x9c,0x21,0x41},{0x97,0x22,0x43},{0x92,0x23,0x45},
      {0x8c,0x24,0x47},{0x87,0x25,0x49},{0x82,0x26,0x4b},{0x7d,0x27,0x4d},
      {0x78,0x28,0x4f},{0x73,0x29,0x51},{0x6d,0x2a,0x53},{0x68,0x2b,0x55},
      {0x63,0x2c,0x57},{0x5e,0x2d,0x59},{0x59,0x2e,0x5b},{0x53,0x2f,0x5d},
      {0x4e,0x30,0x5f},{0x49,0x31,0x61},{0x44,0x32,0x63},{0x3f,0x33,0x65},
      {0x3a,0x34,0x67},{0x34,0x35,0x69},{0x2f,0x36,0x6b},{0x2a,0x37,0x6d},
      {0x25,0x38,0x6f},{0x20,0x39,0x71},{0x1a,0x3a,0x73},{0x15,0x3b,0x75},
      {0x10,0x3c,0x77},{0x0b,0x3d,0x79},{0x06,0x3e,0x7b},{0x00,0x3f,0x7d},
      {0x40,0x40,0x7f},{0x41,0x41,0x81},{0x42,0x42,0x83},{0x43,0x43,0x85},
      {0x44,0x44,0x87},{0x45,0x45,0x89},{0x46,0x46,0x8b},{0x47,0x47,0x8d},
      {0x48,0x48,0x8f},{0x49,0x49,0x91},{0x4a,0x4a,0x93},{0x4b,0x4b,0x95},
      {0x4c,0x4c,0x97},{0x4d,0x4d,0x99},{0x4e,0x4e,0x9b},{0x4f,0x4f,0x9d},
      {0x50,0x50,0x9f},{0x51,0x51,0xa1},{0x52,0x52,0xa3},{0x53,0x53,0xa5},
      {0x54,0x54,0xa7},{0x55,0x55,0xa9},{0x56,0x56,0xab},{0x57,0x57,0xad},
      {0x58,0x58,0xaf},{0x59,0x59,0xb1},{0x5a,0x5a,0xb3},{0x5b,0x5b,0xb5},
      {0x5c,0x5c,0xb7},{0x5d,0x5d,0xb9},{0x5e,0x5e,0xbb},{0x5f,0x5f,0xbd},
      {0x60,0x60,0xbf},{0x61,0x61,0xc1},{0x62,0x62,0xc3},{0x63,0x63,0xc5},
      {0x64,0x64,0xc7},{0x65,0x65,0xc9},{0x66,0x66,0xcb},{0x67,0x67,0xcd},
      {0x68,0x68,0xcf},{0x69,0x69,0xd1},{0x6a,0x6a,0xd3},{0x6b,0x6b,0xd5},
      {0x6c,0x6c,0xd7},{0x6d,0x6d,0xd9},{0x6e,0x6e,0xdb},{0x6f,0x6f,0xdd},
      {0x70,0x70,0xdf},{0x71,0x71,0xe1},{0x72,0x72,0xe3},{0x73,0x73,0xe5},
      {0x74,0x74,0xe7},{0x75,0x75,0xe9},{0x76,0x76,0xeb},{0x77,0x77,0xed},
      {0x78,0x78,0xef},{0x79,0x79,0xf1},{0x7a,0x7a,0xf3},{0x7b,0x7b,0xf5},
      {0x7c,0x7c,0xf7},{0x7d,0x7d,0xf9},{0x7e,0x7e,0xfb},{0x7f,0x7f,0xfd},
      {0x80,0x80,0xff},{0x81,0x81,0xfb},{0x82,0x82,0xf7},{0x83,0x83,0xf3},
      {0x84,0x84,0xee},{0x85,0x85,0xea},{0x86,0x86,0xe6},{0x87,0x87,0xe2},
      {0x88,0x88,0xdd},{0x89,0x89,0xd9},{0x8a,0x8a,0xd5},{0x8b,0x8b,0xd1},
      {0x8c,0x8c,0xcc},{0x8d,0x8d,0xc8},{0x8e,0x8e,0xc4},{0x8f,0x8f,0xc0},
      {0x90,0x90,0xbb},{0x91,0x91,0xb7},{0x92,0x92,0xb3},{0x93,0x93,0xaf},
      {0x94,0x94,0xaa},{0x95,0x95,0xa6},{0x96,0x96,0xa2},{0x97,0x97,0x9e},
      {0x98,0x98,0x99},{0x99,0x99,0x95},{0x9a,0x9a,0x91},{0x9b,0x9b,0x8d},
      {0x9c,0x9c,0x88},{0x9d,0x9d,0x84},{0x9e,0x9e,0x80},{0x9f,0x9f,0x7c},
      {0xa0,0xa0,0x77},{0xa1,0xa1,0x73},{0xa2,0xa2,0x6f},{0xa3,0xa3,0x6b},
      {0xa4,0xa4,0x66},{0xa5,0xa5,0x62},{0xa6,0xa6,0x5e},{0xa7,0xa7,0x5a},
      {0xa8,0xa8,0x55},{0xa9,0xa9,0x51},{0xaa,0xaa,0x4d},{0xab,0xab,0x49},
      {0xac,0xac,0x44},{0xad,0xad,0x40},{0xae,0xae,0x3c},{0xaf,0xaf,0x38},
      {0xb0,0xb0,0x33},{0xb1,0xb1,0x2f},{0xb2,0xb2,0x2b},{0xb3,0xb3,0x27},
      {0xb4,0xb4,0x22},{0xb5,0xb5,0x1e},{0xb6,0xb6,0x1a},{0xb7,0xb7,0x16},
      {0xb8,0xb8,0x11},{0xb9,0xb9,0x0d},{0xba,0xba,0x09},{0xbb,0xbb,0x05},
      {0xbc,0xbc,0x00},{0xbd,0xbd,0x03},{0xbe,0xbe,0x07},{0xbf,0xbf,0x0b},
      {0xc0,0xc0,0x0f},{0xc1,0xc1,0x13},{0xc2,0xc2,0x16},{0xc3,0xc3,0x1a},
      {0xc4,0xc4,0x1e},{0xc5,0xc5,0x22},{0xc6,0xc6,0x26},{0xc7,0xc7,0x29},
      {0xc8,0xc8,0x2d},{0xc9,0xc9,0x31},{0xca,0xca,0x35},{0xcb,0xcb,0x39},
      {0xcc,0xcc,0x3c},{0xcd,0xcd,0x40},{0xce,0xce,0x44},{0xcf,0xcf,0x48},
      {0xd0,0xd0,0x4c},{0xd1,0xd1,0x4f},{0xd2,0xd2,0x53},{0xd3,0xd3,0x57},
      {0xd4,0xd4,0x5b},{0xd5,0xd5,0x5f},{0xd6,0xd6,0x62},{0xd7,0xd7,0x66},
      {0xd8,0xd8,0x6a},{0xd9,0xd9,0x6e},{0xda,0xda,0x72},{0xdb,0xdb,0x75},
      {0xdc,0xdc,0x79},{0xdd,0xdd,0x7d},{0xde,0xde,0x81},{0xdf,0xdf,0x85},
      {0xe0,0xe0,0x89},{0xe1,0xe1,0x8c},{0xe2,0xe2,0x90},{0xe3,0xe3,0x94},
      {0xe4,0xe4,0x98},{0xe5,0xe5,0x9c},{0xe6,0xe6,0x9f},{0xe7,0xe7,0xa3},
      {0xe8,0xe8,0xa7},{0xe9,0xe9,0xab},{0xea,0xea,0xaf},{0xeb,0xeb,0xb2},
      {0xec,0xec,0xb6},{0xed,0xed,0xba},{0xee,0xee,0xbe},{0xef,0xef,0xc2},
      {0xf0,0xf0,0xc5},{0xf1,0xf1,0xc9},{0xf2,0xf2,0xcd},{0xf3,0xf3,0xd1},
      {0xf4,0xf4,0xd5},{0xf5,0xf5,0xd8},{0xf6,0xf6,0xdc},{0xf7,0xf7,0xe0},
      {0xf8,0xf8,0xe4},{0xf9,0xf9,0xe8},{0xfa,0xfa,0xeb},{0xfb,0xfb,0xef},
      {0xfc,0xfc,0xf3},{0xfd,0xfd,0xf7},{0xfe,0xfe,0xfb},{0x00,0x00,0x00}
    }
  }
} ;

#endif	/* IDL_COLORS1_H */
